﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormIEE" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>CrossForm Validations</title>


<rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and link:schemaRef/@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iee/iee_0002/iee.0002.lodge.request.02.00.report.xsd']">

<!--
            WHERE PARENT RETURN EXISTS 
            IF (RP:entity.identifier.TFN <> NULLORBLANK) AND (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
<let name="IEE5" value=" address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                    and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'
                                    and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'C']" />
<!--
            WHERE PARENT RETURN EXISTS
                IF (INT:entity.identifier.ABN <> NULLORBLANK) AND (INT:entity.identifier.ABN <> PARENT RETURN:INT:entity.identifier.ABN)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
<let name="IEE11" value=" address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                    and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'
                                    and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'P']" />
<!--
            Rule Id: VR.ATO.IEE.410071

            WHERE PARENT RETURN EXISTS
            IF ([IEE116] = "R") AND
            (
                ([IEE52] = NULLORBLANK) OR
                ([IEE53] = NULLORBLANK) OR
                ([IEE54] = NULLORBLANK) OR
                ([IEE119] = NULLORBLANK) OR
                ([IEE170] = NULLORBLANK) OR
                ([IEE82] = NULLORBLANK)
            )
            RETURN VALIDATION MESSAGE
            ENDIF

            [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
            [IEE52] = IEE:RP:OrganisationNameDetails.OrganisationalName.Text WHERE
            ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND
            (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C"))
            IN TUPLE(orgname2.xx.xx:OrganisationNameDetails) IN TUPLE(iee.0002.lodge.request.xx.xx:FamilyTrust)
            [IEE53] = IEE:RP:pyde.xx.xx:AddressDetails.Line1.Text WHERE
            ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C"))
            IN TUPLE(address2.xx.xx:AddressDetails) IN TUPLE(iee.0002.lodge.request.xx.xx:FamilyTrust)
            [IEE54] = IEE:RP:pyde.xx.xx:AddressDetails.LocalityName.Text WHERE
            ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND
            (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C"))
            IN TUPLE(address2.xx.xx:AddressDetails) IN TUPLE(iee.0002.lodge.request.xx.xx:FamilyTrust)
            [IEE119] = IEE:RP:OrganisationNameDetails.OrganisationNameType.Code WHERE
            (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")
            IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)
            IN TUPLE(iee.0002.lodge.request.xx.xx:FamilyTrust)
            [IEE170] = IEE:RP:OrganisationNameDetails.Currency.Code WHERE
            (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")
            IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)
            IN TUPLE(iee.0002.lodge.request.xx.xx:FamilyTrust)
            [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->
<let name="IEE10" value="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                     and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                                     and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'P']" />
<!--
          Rule ID: VR.ATO.IEE.410069
          
          WHERE PARENT RETURN EXISTS
          IF ([IEE82] <> NULLORBLANK) AND ([IEE116] = ""E"")
          RETURN VALIDATION MESSAGE
          ENDIF
          [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
          [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
        -->
<let name="IEE4" value="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                    and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                                    and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C']" />

<!--
            Rule ID: VR.ATO.IEE.410076
            
            WHERE PARENT RETURN EXISTS
            IF (
                ([IEE58] <> NULLORBLANK) OR ([IEE59] <> NULL) OR ([IEE60] <> NULL) OR ([IEE61] <> NULL) 
                OR ([IEE62] <> NULLORBLANK) OR ([IEE69] <> NULLORBLANK) OR ([IEE64] <> NULL) 
                OR ([IEE65] <> NULLORBLANK) OR ([IEE66] <> NULLORBLANK) OR ([IEE67] <> NULLORBLANK) 
                OR ([IEE68] <> NULLORBLANK) OR ([IEE69] <> NULLORBLANK) OR ([IEE70] <> NULLORBLANK) 
                OR ([IEE71] <> NULLORBLANK) OR ([IEE72] <> NULLORBLANK) OR ([IEE73] <> NULLORBLANK) AND ([IEE82] <> NULLORBLANK)
                
            RETURN VALIDATION MESSAGE
            ENDIF
            [IEE58] = IEE:RP:rvctc3.xx.xx:Elections.FamilyTrustElectionStatus.Year IN TUPLE(iee.0002.lodge.request.xx.xx:FamilyTrust)
            [IEE59] = IEE:RP:rvctc3.xx.xx:Elections.Commencement.Date IN TUPLE(iee.0002.lodge.request.xx.xx:FamilyTrust)
            [IEE60] = IEE:RP:pyin.xx.xx:PeriodStart.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = ""SubstitutedAccountingPeriod"") IN TUPLE(period1.xx.xx:PeriodDetails) IN TUPLE(iee.0002.lodge.request.xx.xx:FamilyTrust)
            [IEE61] = IEE:RP:pyin.xx.xx:PeriodEnd.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = ""SubstitutedAccountingPeriod"") IN TUPLE(period1.xx.xx:PeriodDetails) IN TUPLE(iee.0002.lodge.request.xx.xx:FamilyTrust)
            [IEE62] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
            [IEE69] = IEE:RP:pyde.xx.xx:PersonNameDetails.OtherGivenName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = ""C""))
            [IEE64] = IEE:RP:pyde.xx.xx:PersonDemographicDetails.Birth.Date IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
            [IEE65] = IEE:RP:pyde.xx.xx:PersonNameDetails.Title.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = ""C"")) IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
            [IEE66] = IEE:RP:pyde.xx.xx:PersonNameDetails.FamilyName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = ""C"")) IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
            [IEE67] = IEE:RP:pyde.xx.xx:PersonNameDetails.NameSuffix.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = ""C"")) IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
            [IEE68] = IEE:RP:pyde.xx.xx:PersonNameDetails.GivenName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = ""C"")) IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
            [IEE70] = IEE:RP:pyde.xx.xx:AddressDetails.Line1.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = ""RES"") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = ""C"")) IN TUPLE(address2.xx.xx:AddressDetails) IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
            [IEE71] = IEE:RP:pyde.xx.xx:AddressDetails.LocalityName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = ""RES"") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = ""C"")) IN TUPLE(address2.xx.xx:AddressDetails) IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
            [IEE72] = IEE:RP:pyde.xx.xx:AddressDetails.StateOrTerritory.Code WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = ""RES"") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = ""C"")) IN TUPLE(address2.xx.xx:AddressDetails) IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
            [IEE73] = IEE:RP:pyde.xx.xx:AddressDetails.Postcode.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = ""RES"") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = ""C"")) IN TUPLE(address2.xx.xx:AddressDetails) IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
            [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->

<assert  id="VR.ATO.GEN.410115" diagnostics="DVR.ATO.GEN.410115" subject="xbrli:context/xbrli:entity/xbrli:identifier" test="
            not(
                $CTR.Context and
                $RP.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0] and
                $RP.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0] !=
                $RP.CTR.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])"></assert>
<!--
            Rule ID: VR.ATO.IEE.410070

            WHERE PARENT RETURN EXISTS
            IF ([IEE116] = "R") AND ([IEE82] <> PARENT RETURN:Report.TargetFinancial.Year)
                RETURN VALIDATION MESSAGE
            ENDIF
            [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
            [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->

<assert  id="VR.ATO.GEN.410119" diagnostics="DVR.ATO.GEN.410119" subject="xbrli:context/xbrli:entity/xbrli:identifier" test="
            not(
                $CTR.Context and
                $INT.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0] and
                $INT.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0] !=
                $INT.CTR.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0])"></assert>
<!--
            Rule ID: VR.ATO.IEE.410084
            
            WHERE PARENT RETURN EXISTS
            IF ([IEE82] <> NULL) AND ([IEE82] <> SET(""2010""))
            RETURN VALIDATION MESSAGE
            ENDIF
            [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->

<assert  id="VR.ATO.IEE.410071" diagnostics="DVR.ATO.IEE.410071" subject="rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code" test="
                        not(
                            rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)  = 'R']
                            and
                            (
                                count(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                                and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C']) = 0
                                or
                                count(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'            
                                and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'C']) = 0
                                or
                                count(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'            
                                and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'C']) = 0
                                or
                                count(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN']) = 0
                               
                                or
                                count(rvctc3.02.00:Elections.Revocation.Year[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                            )
                        )"></assert>
<!--
            Rule Id: VR.ATO.IEE.410100
            
            WHERE PARENT RETURN EXISTS
            IF ([IEE116] = "E") AND ([IEE16] = SET ("217","212","161")) AND ([IEE26] <> TRUE) AND ([IEE25] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF

            [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
            [IEE16] = IEE:RP:ptde.xx.xx:Party.Type.Code
            [IEE26] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumberInexistent.Indicator 
            IN TUPLE(iee.0002.lodge.request.xx.xx:TrusteeOrPartner)
            
            [IEE25] = IEE:RP:pyid.xx.xx: IN 
            TUPLE(iee.0002.lodge.request.xx.xx:TrusteeOrPartner)
        -->

<assert  id="VR.ATO.IEE.410069" diagnostics="DVR.ATO.IEE.410069" subject="rvctc3.02.00:Elections.Revocation.Year" test="not(
                    count(rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0        
                    and
                    rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(E)$')]
                    )"></assert>
<!--
            Rule Id: VR.ATO.IEE.410223
        
            WHERE PARENT RETURN EXISTS
            IF ([IEE5] <> NULLORBLANK) AND ([IEE5] <> (PARENT RETURN:RP:pyde.xx.xx:AddressDetails.Line1.Text IN TUPLE (xbrli\address2.xx.xx:AddressDetails) WHERE (TUPLE EXPLICIT address2.xx.xx:AddressDetails.AddressDetailsCurrency.Code = "C"))
            RETURN VALIDATION MESSAGE
            [IEE5] = IEE:RP:pyde.xx.xx:AddressDetails.Line1.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) IN TUPLE(xbrli\address2.xx.xx:AddressDetails)
        -->

<assert  id="VR.ATO.IEE.410076" diagnostics="DVR.ATO.IEE.410076" subject="rvctc3.02.00:Elections.Revocation.Year" test="not(
                            (
                            count(iee.0002.lodge.req.02.00:FamilyTrust/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:FamilyTrust/rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/period1.02.01:PeriodDetails[pyin.02.05:Period.Type.Code='SubstitutedAccountingPeriod']/pyin.02.00:Period.Start.Date[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/period1.02.01:PeriodDetails[pyin.02.05:Period.Type.Code='SubstitutedAccountingPeriod']/pyin.02.00:Period.End.Date[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.Title.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.NameSuffix.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/address2.02.01:AddressDetails[pyde.02.01:AddressDetails.Usage.Code='RES' and pyde.02.00:AddressDetails.Currency.Code='C']/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/address2.02.01:AddressDetails[pyde.02.01:AddressDetails.Usage.Code='RES' and pyde.02.00:AddressDetails.Currency.Code='C']/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/address2.02.01:AddressDetails[pyde.02.01:AddressDetails.Usage.Code='RES' and pyde.02.00:AddressDetails.Currency.Code='C']/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            or count(iee.0002.lodge.req.02.00:SpecifiedIndividual/address2.02.01:AddressDetails[pyde.02.01:AddressDetails.Usage.Code='RES' and pyde.02.00:AddressDetails.Currency.Code='C']/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            )    
                            and
                            count(rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                        )"></assert>

<assert  id="VR.ATO.IEE.410070" diagnostics="DVR.ATO.IEE.410070" subject="rvctc3.02.00:Elections.Revocation.Year" test="not(
                            rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(R)$')]
                            and(       
                             rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                             !=
                             $CTR.Context/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                            )"></assert>
<!--
            Rule Id: VR.ATO.IEE.410084
        
            WHERE PARENT RETURN EXISTS
            IF ([IEE82] <> NULLORBLANK) AND ([IEE82] < "2011")
               RETURN VALIDATION MESSAGE
            ENDIF^^
            [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->

<assert  id="VR.ATO.IEE.410084" diagnostics="DVR.ATO.IEE.410084" test="not(
                        count(rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0       
                        and
                        rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &lt; 2011]
                    )"></assert>
<!--
            Rule ID: VR.ATO.IEE.410100
            
            
        -->

<assert  id="VR.ATO.IEE.410100" diagnostics="DVR.ATO.IEE.410100" subject="pyid.02.00:Identifiers.TaxFileNumber.Identifier" test="
                        not(
                                rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'E']
                                and pyde.02.03:Party.Type.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(217|212|161)$')]
                                and count(iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.) = 'TRUE' or . = '1')]) = 0
                                and count(iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                        )                                    
                    "></assert>
<!--
    WHERE PARENT RETURN EXISTS
    IF ([IEE5] <> NULLORBLANK) AND
    (
        [IEE5] <> (PARENT RETURN:RP:pyde.xx.xx:AddressDetails.Line1.Text
        IN TUPLE
            WHERE
            (
                (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")
            ) 
            IN TUPLE(xbrli\address2.xx.xx:AddressDetails)
                
                RETURN VALIDATION MESSAGE
    
    [IEE5] = IEE:RP:pyde.xx.xx:AddressDetails.Line1.Text WHERE 
            (
                (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")
            ) IN TUPLE(xbrli\address2.xx.xx:AddressDetails)
    -->

<assert  id="VR.ATO.IEE.410223" diagnostics="DVR.ATO.IEE.410223" test="
             not
             (
                $IEE5
                and
                (
                    $IEE5
                    !=
                    $CTR.Context/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text
                    [
                                @contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and 
                                string-length(normalize-space(.)) != 0 and 
                                upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'C'and 
                                upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'
                    ]
                 )
              )"></assert>

<assert  id="VR.ATO.IEE.410224" diagnostics="DVR.ATO.IEE.410224" subject=" address2.02.01:AddressDetails" test="not
                          (
                            $IEE11
                              and
                            (
                                $IEE11
                                !=
                                $CTR.Context/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                 and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'P']
                             )
                          )"></assert>
<!--
            Rule Id: VR.ATO.IEE.410226
            
            WHERE PARENT RETURN EXISTS
            IF ([IEE4] <> NULLORBLANK) AND ([IEE4] <> (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails) WHERE ((TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")))
            RETURN VALIDATION MESSAGE
            ENDIF
            [IEE4] = IEE:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C"))
            IN TUPLE(xbrli\orgname2.xx.xx:OrganisationNameDetails)
        -->

<assert  id="VR.ATO.IEE.410225" diagnostics="DVR.ATO.IEE.410225" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="
                        not(                    
                            $IEE10
                            and
                            (
                                $IEE10
                                !=
                                $CTR.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                 and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                                and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'P']
                             )
                        )"></assert>

<assert  id="VR.ATO.IEE.410226" diagnostics="DVR.ATO.IEE.410226" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="
                        not(                    
                            $IEE4
                            and
                            (
                                $IEE4
                                !=
                                $CTR.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                 and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                                and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C']
                             )
                        )"></assert>
<!--
            Rule Id: VR.ATO.IEE.410051
        
            WHERE PARENT RETURN EXISTS
            IF ([IEE49] <> NULL) AND ([IEE45] <> PARENT RETURN:Report.TargetFinancial.Year)
            RETURN VALIDATION MESSAGE
            ENDIF
            [IEE49] = IEE:RP:rvctc3.xx.xx:Elections.Commencement.Date
            [IEE45] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionStatus.Year
        -->

<assert  id="VR.ATO.IEE.410051" diagnostics="DVR.ATO.IEE.410051" subject="rvctc3.02.00:Elections.Commencement.Date" test="
                        not(                    
                            rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            (
                                rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]
                                !=
                                $CTR.Context/pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                        )"></assert>
<!--
        Rule Id: VR.ATO.GEN.402010

        IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
        (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
        (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
        RETURN VALIDATION MESSAGE
        ENDIF
    -->

<assert  id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010" test="
             not
             (
                (
                $CTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                and
                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                )
            and
                (
                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                !=
                $CTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                )
            )
             "></assert>
<!--
          Rule Id: VR.ATO.IEE.410198
              
          WHERE PARENT RETURN EXISTS
          IF ([IEE116] = "E") AND ([IEE62] = NULLORBLANK) AND ([IEE63] <> TRUE)
          RETURN VALIDATION MESSAGE
          ENDIF
          [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code

          [IEE62] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier
          IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
          [IEE63] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumberInexistent.Indicator
          IN TUPLE(iee.0002.lodge.request.xx.xx:SpecifiedIndividual)
        -->

<assert  id="VR.ATO.IEE.410198" diagnostics="DVR.ATO.IEE.410198" subject="pyid.02.00:Identifiers.TaxFileNumber.Identifier" test="
                        not(  
                            rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)  = 'E']
                            and
                            (
                                 count(iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0 and
                                 count(iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and (upper-case(.) = 'TRUE' or . = '1')]) = 0
                            )
                        )"></assert>
<!--
          Rule Id: VR.ATO.IEE.410262

          WHERE PARENT RETURN EXISTS
          IF INT <> NULLORBLANK AND COUNT [IEE159] > 0
          RETURN VALIDATION MESSAGE
          ENDIF
          [IEE159] = IEE:INT:pyin.xx.xx:Declaration.StatementType.Code
          IN TUPLE(declaration2.xx.xx:Declaration)
      -->

<assert  id="VR.ATO.IEE.410262" diagnostics="DVR.ATO.IEE.410262" test="
                    not
                    (
                        $INT.IEE.ContextId and
                        (count(declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/
                        pyin.02.03:Declaration.StatementType.Code[@contextRef = $INT.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        &gt; 0
                    )"></assert>
</rule>
</pattern>