﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.LS.414000
            
            IF ([LS22] = NULL OR [LS22] = 0) AND [LS5] >0 AND [LS15] = FALSE
              RETURN VALIDATION MESSAGE
            ENDIF

            [LS22] = LS:RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount
            [LS5] = LS:RP.Y0:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
            [LS15] = LS:RP.Y0:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            
            TODO remove null check
        -->

<assert  id="VR.ATO.LS.414000" diagnostics="DVR.ATO.LS.414000" subject="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount" test="not
                        (
                            sum(rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and
                            sum(rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and
                            rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                        )"></assert>
<!--
            Rule ID: VR.ATO.LS.414001

            IF ([LS5] OR [LS6] OR [LS7] OR [LS8] OR [LS9] OR [LS49] OR [LS50])<> NULL
            AND [LS50] <> [LS5] + [LS6] + [LS7] + [LS8] + [LS9] + [LS49] 
              RETURN VALIDATION MESSAGE 
            ENDIF [LS5] = LS:RP.Y0:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount 


            [LS5] = LS:$RP.Y0:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount 
            [LS6] = LS:$RP.Y0-1:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount 
            [LS7] = LS:$RP.Y0-2:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount 
            [LS8] = LS:$RP.Y0-3:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount 
            [LS9] = LS:$RP.Y0-4:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount 
            [LS49] = LS:$RP.Y0-5+:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount 
            [LS50] = LS:$RP.ALL:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount  
        -->
        <assert id="VR.ATO.LS.414001" diagnostics="DVR.ATO.LS.414001" subject="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount" 
                test="not
                        (
                          (rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]|
                           rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]|
                           rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]|
                           rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]|
                           rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1')]|
                           rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-5P.ContextId and not(@i:nil='true' or @i:nil='1')]|
                           rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.ALL.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and
                          (
                            round(xs:decimal(100 * sum(
                            rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.ALL.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            !=
                            round(xs:decimal( 100 * sum(
                            rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-5P.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          ) 
                        )"/>
<!--
          Rule ID: VR.ATO.LS.414002
          
          IF ([LS22] = NULL OR [LS22] = 0) AND [LS6]>0 AND ([LS15] = FALSE OR [LS16] = FALSE) 
            RETURN VALIDATION MESSAGE 
          ENDIF 

          [LS22] = LS:RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount 
          [LS6] = LS:RP.Y0-1:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount 
          [LS15] = LS:RP.Y0:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
          [LS16] = LS:RP.Y0-1:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator  
        -->

<assert  id="VR.ATO.LS.414002" diagnostics="DVR.ATO.LS.414002" subject="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount" test="not
                        (
                          sum(rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])= 0
                          and
                          sum(rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          and
                          (
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                          )   
                        )"></assert>
<!--
            Rule ID: VR.ATO.LS.414003
            
            IF ([LS22] = NULL OR [LS22] = 0) AND [LS7] > 0 AND ([LS15] = FALSE OR [LS16] = FALSE OR [LS17] = FALSE) 
            RETURN VALIDATION MESSAGE 
            ENDIF 

            [LS22] = LS:RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount 
            [LS7] = LS:RP.Y0-2:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount 
            [LS15] = LS:RP.Y0:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS16] = LS:RP.Y0-1:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS17] = LS:RP.Y0-2:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator  
        -->

<assert  id="VR.ATO.LS.414003" diagnostics="DVR.ATO.LS.414003" subject="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount" test="not
                        (
                          sum(rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and
                          sum(rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          and
                          (
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                          )   
                        )"></assert>
<!--
            Rule ID: VR.ATO.LS.414004
            
            IF ([LS22] = NULL OR [LS22] = 0) AND [LS8] >0 AND ([LS15] = FALSE OR [LS16] = FALSE OR [LS17] = FALSE OR [LS18] = FALSE) 
            RETURN VALIDATION MESSAGE 
            ENDIF 

            [LS22] = LS:RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount 
            [LS8] = LS:RP.Y0-3:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount 
            [LS15] = LS:RP.Y0:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS16] = LS:RP.Y0-1:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS17] = LS:RP.Y0-2:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS18] = LS:RP.Y0-3:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator  
        -->

<assert  id="VR.ATO.LS.414004" diagnostics="DVR.ATO.LS.414004" subject="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount" test="not
                        (
                          sum(rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and
                          sum(rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          and
                          (
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                          )   
                        )"></assert>
<!--
            Rule ID: VR.ATO.LS.414005
            
            IF ([LS22] = NULL OR [LS22] = 0) AND [LS9]>0 AND ([LS15] = FALSE OR [LS16] = FALSE OR [LS17] = FALSE OR [LS18] = FALSE OR [LS19] = FALSE) 
            RETURN VALIDATION MESSAGE 
            ENDIF 

            [LS22] = LS:RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount 
            [LS9] = LS:RP.Y0-4:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount 
            [LS15] = LS:RP.Y0:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS16] = LS:RP.Y0-1:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS17] = LS:RP.Y0-2:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS18] = LS:RP.Y0-3:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS19] = LS:RP.Y0-4:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator  
        -->

<assert  id="VR.ATO.LS.414005" diagnostics="DVR.ATO.LS.414005" subject="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount" test="not
                        (
                          sum(rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and
                          sum(rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          and
                          (
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                          )   
                        )"></assert>
<!--
            Rule ID: VR.ATO.LS.414006
            IF ([LS22] = NULL OR [LS22] = 0) AND [LS49] > 0 AND ([LS15] = FALSE OR [LS16] = FALSE OR [LS17] = FALSE OR [LS18] = FALSE OR [LS19] = FALSE OR [LS53] = FALSE) 
            RETURN VALIDATION MESSAGE 
            ENDIF 

            [LS22] = LS:RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount 
            [LS49] = LS:RP.Y0-5+:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount 
            [LS15] = LS:RP.Y0:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS16] = LS:RP.Y0-1:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS17] = LS:RP.Y0-2:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS18] = LS:RP.Y0-3:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS19] = LS:RP.Y0-4:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS53] = LS:RP.Y0-5+:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator  
        -->

<assert  id="VR.ATO.LS.414006" diagnostics="DVR.ATO.LS.414006" test="not(
                          (not($LS22) or sum($LS22) = 0)
                           and
                           sum($LS49) &gt; 0
                           and
                           (
                           $LS15[matches(.,'^(false|0)$')] or $LS16[matches(.,'^(false|0)$')] or $LS17[matches(.,'^(false|0)$')] or $LS18[matches(.,'^(false|0)$')] or $LS19[matches(.,'^(false|0)$')] or $LS53[matches(.,'^(false|0)$')]
                           )
                     )"></assert>
        <!--
            Rule ID: VR.ATO.LS.414008

            IF ([LS50] OR [LS74]) <> NULL AND [LS50] <> [LS74] 
              RETURN VALIDATION MESSAGE 
            ENDIF 

            [LS50] = LS:$RP.ALL:rvctc3:Tax.Losses.CarriedForward.Total.Amount 
            [LS74] = LS:$RP:rvctc3:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount  
        -->
        <assert id="VR.ATO.LS.414008" diagnostics="DVR.ATO.LS.414008" 
                test="not
                        (
                            (rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.ALL.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            (
                               round(xs:decimal( 100 * sum(
                               rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.ALL.ContextId and not(@i:nil='true' or @i:nil='1')])))
                               !=
                               round(xs:decimal( 100 * sum(
                               rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            )
                        )"/>
<!--
            Rule ID: VR.ATO.LS.414009
            
            IF ([LS80] = NULL OR [LS80] = 0) AND [LS10] > 0 AND [LS15] = FALSE
              RETURN VALIDATION MESSAGE
            ENDIF


            [LS10] = LS:RP.Y0:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
            [LS15] = LS:RP.Y0:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS80] = LS:RP:rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount            
        -->

<assert  id="VR.ATO.LS.414009" diagnostics="DVR.ATO.LS.414009" subject="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount" test="not
                        (
                            sum(rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and
                            sum(rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                         and
                            rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                        )"></assert>
<!--
            Rule ID: VR.ATO.LS.414010
            IF ([LS10] OR [LS11] OR [LS12] OR [LS13] OR [LS14] OR [LS51] OR [LS52]) <> NULL AND [LS52] <> [LS10] + [LS11] + [LS12] + [LS13] + [LS14] + [LS51] 
              RETURN VALIDATION MESSAGE 
            ENDIF 

            [LS10] = LS:RP.Y0:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount 
            [LS11] = LS:RP.Y0-1:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount 
            [LS12] = LS:RP.Y0-2:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount 
            [LS13] = LS:RP.Y0-3:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount 
            [LS14] = LS:RP.Y0-4:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount 
            [LS51] = LS:RP.Y0-5+:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount 
            [LS52] = LS:RP.ALL:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount  
        -->
        <assert id="VR.ATO.LS.414010" diagnostics="DVR.ATO.LS.414010"
                test="not(
                          (rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]|
                           rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]|
                           rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]|
                           rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1')]|
                           rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-5P.ContextId and not(@i:nil='true' or @i:nil='1')]|
                           rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.ALL.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and
                            round(xs:decimal( 100* sum(rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.ALL.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            !=
                            round(xs:decimal( 100* sum(
                                rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |
                                rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |
                                rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |
                                rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |
                                rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |
                                rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-5P.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))
                        )"/>
<!--
            Rule ID: VR.ATO.LS.414011
            IF ([LS80] = NULL OR [LS80] = 0) AND [LS11] > 0 AND ([LS15] = FALSE OR [LS16] = FALSE)
              RETURN VALIDATION MESSAGE
            ENDIF

            [LS11] = LS:RP.Y0-1:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
            [LS15] = LS:RP.Y0:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS16] = LS:RP.Y0-1:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS80] = LS:RP:rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount 
        -->

<assert  id="VR.ATO.LS.414011" diagnostics="DVR.ATO.LS.414011" subject="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount" test="not
                        (
                          sum(rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and
                          sum(rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          and
                          (
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                          )   
                        )"></assert>
<!--
            Rule ID: VR.ATO.LS.414012
            
            IF ([LS80] = NULL OR [LS80] = 0) AND [LS12] >0 AND ([LS15] = FALSE OR [LS16] = FALSE OR [LS17] = FALSE)
              RETURN VALIDATION MESSAGE
            ENDIF


            [LS12] = LS:RP.Y0-2:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
            [LS15] = LS:RP.Y0:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS16] = LS:RP.Y0-1:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS17] = LS:RP.Y0-2:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS80] = LS:RP:rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount
 
        -->

<assert  id="VR.ATO.LS.414012" diagnostics="DVR.ATO.LS.414012" subject="rvctc3.02.00:Capital.Losses.CarriedForward.Net.Amount" test="not
                        (
                          sum(rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and
                          sum(rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          and
                          (
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                          )   
                        )"></assert>
<!--
            Rule ID: VR.ATO.LS.414013
            IF ([LS80] = NULL OR [LS80] = 0) AND [LS13] >0 AND ([LS15] = FALSE OR [LS16] = FALSE OR [LS17] = FALSE OR [LS18] = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS13] = LS:RP.Y0-3:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
            [LS15] = LS:RP.Y0:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS16] = LS:RP.Y0-1:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS17] = LS:RP.Y0-2:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS18] = LS:RP.Y0-3:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS80] = LS:RP:rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount
        -->

<assert  id="VR.ATO.LS.414013" diagnostics="DVR.ATO.LS.414013" subject="rvctc3.02.00:Capital.Losses.CarriedForward.Net.Amount" test="not
                        (
                          sum(rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and
                          sum(rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          and
                          (
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                          )   
                        )"></assert>
<!--
            IF ([LS80] = NULL OR [LS80] = 0) AND [LS14] >0 AND ([LS15] = FALSE OR [LS16] = FALSE OR [LS17] = FALSE OR [LS18] = FALSE OR [LS19] = FALSE)
              RETURN VALIDATION MESSAGE
            ENDIF


            [LS14] = LS:RP.Y0-4:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
            [LS15] = LS:RP.Y0:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS16] = LS:RP.Y0-1:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS17] = LS:RP.Y0-2:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS18] = LS:RP.Y0-3:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS19] = LS:RP.Y0-4:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS80] = LS:RP:rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount
        -->

<assert  id="VR.ATO.LS.414014" diagnostics="DVR.ATO.LS.414014" subject="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount" test="not
                        (
                          sum(rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and
                          sum(rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          and
                          (
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                              or
                              rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                          )   
                        )"></assert>
<!--
            Rule ID: VR.ATO.LS.414015
            IF ([LS80] = NULL OR [LS80] = 0) AND [LS51] >0 AND ([LS15] = FALSE OR [LS16] = FALSE OR [LS17] = FALSE OR [LS18] = FALSE OR [LS19] = FALSE OR [LS53] = FALSE)
              RETURN VALIDATION MESSAGE
            ENDIF

            [LS15] = LS:RP.Y0:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS16] = LS:RP.Y0-1:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS17] = LS:RP.Y0-2:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS18] = LS:RP.Y0-3:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS19] = LS:RP.Y0-4:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS51] = LS:RP.Y0-5P:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
            [LS53] = LS:RP.Y0-5P:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS80] = LS:RP:rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount

      
      -->

<assert  id="VR.ATO.LS.414015" diagnostics="DVR.ATO.LS.414015" test="not(
                             (not($LS23) or sum($LS23) = 0) 
                             and sum($LS51) &gt; 0 
                             and 
                             ($LS15[matches(.,'^(false|0)$')] or $LS16[matches(.,'^(false|0)$')] or $LS17[matches(.,'^(false|0)$')] or $LS18[matches(.,'^(false|0)$')] or $LS19[matches(.,'^(false|0)$')] or $LS53[matches(.,'^(false|0)$')])
                        )"></assert>
<!--
            Rule ID: VR.ATO.LS.414020
            
            IF ([LS15] = FALSE OR [LS16] = FALSE OR [LS17] = FALSE OR [LS18] = FALSE OR [LS19] = FALSE OR [LS53] = FALSE) AND ([LS20] = NULL OR [LS21] = NULL OR [LS22] = NULL OR [LS80] = NULL OR [LS24] = NULL)
              RETURN VALIDATION MESSAGE
            ENDIF

            [LS15] = LS:RP.Y0:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS16] = LS:RP.Y0-1:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS17] = LS:RP.Y0-2:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS18] = LS:RP.Y0-3:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS19] = LS:RP.Y0-4:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS20] = LS:RP:rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount
            [LS21] = LS:RP:rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount
            [LS22] = LS:RP:rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount
            [LS24] = LS:RP:rvctc3.02.00:Tax.Losses.CurrentYearLossProvisionsApply.Indicator
            [LS53] = LS:RP.Y0-5P:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS80] = LS:RP:rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount
        -->

<assert  id="VR.ATO.LS.414020" diagnostics="DVR.ATO.LS.414020" subject="rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator" test="
                        not
                        (
                            (rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]|
                             rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]|
                             rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]|
                             rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]|
                             rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]|
                             rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-5P.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')])
                            and
                            (
                               count(rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                               or
                               count(rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                               or 
                               count(rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                               or
                               count(rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                               or
                               count(rvctc3.02.00:Tax.Losses.CurrentYearLossProvisionsApply.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            )
                        )"></assert>
<!--
            Rule ID: VR.ATO.LS.414021

            IF ([LS15] = FALSE OR [LS16] = FALSE OR [LS17] = FALSE OR [LS18] = FALSE OR [LS19] = FALSE OR [LS53] = FALSE)
                AND [LS24] = NULL 
            RETURN VALIDATION MESSAGE 
            ENDIF 

            [LS15] = LS:RP.Y0:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS16]= LS:RP.Y0-1:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS17] = LS:RP.Y0-2:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS18] = LS:RP.Y0-3:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS19] = LS:RP.Y0-4:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS53] = LS:RP.Y0-5+:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator 
            [LS24] = LS:RP:rvctc3.xx.xx:Tax.Losses.CurrentYearLossProvisionsApply.Indicator  
        -->

<assert  id="VR.ATO.LS.414021" diagnostics="DVR.ATO.LS.414021" subject="rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator" test="
                        not
                        (
                            (rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]|
                             rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]|
                             rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]|
                             rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]|
                             rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]|
                             rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef = $RP.Y0-5P.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')])
                            and
                            count(rvctc3.02.00:Tax.Losses.CurrentYearLossProvisionsApply.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )"></assert>
<!--
          Rule ID: VR.ATO.LS.414024
          IF [LS25] = TRUE AND [LS26] = NULL
            RETURN VALIDATION MESSAGE
          ENDIF

          [LS25] = LS:RP:rvctc3.xx.xx:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator
          [LS26] = LS:RP:rvctc3.xx.xx:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator
        -->

<assert  id="VR.ATO.LS.414024" diagnostics="DVR.ATO.LS.414024" subject="rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator" test="not
            	(
            	    rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='true' or .='1')]
                    and
              	    count(rvctc3.02.00:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0 
            	)"></assert>
<!--
          Rule ID: VR.ATO.LS.414025
          IF [LS25] = FALSE AND ([LS26] <> NULL OR [LS27] <> NULL OR [LS28] <> NULL)
            RETURN VALIDATION MESSAGE
          ENDIF

          [LS25] = LS:RP:rvctc3.xx.xx:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator
          [LS26] = LS:RP:rvctc3.xx.xx:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator
          [LS27] = LS:RP:rvctc3.xx.xx:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator
          [LS28] = LS:RP:rvctc3.xx.xx:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount
        -->

<assert  id="VR.ATO.LS.414025" diagnostics="DVR.ATO.LS.414025" subject="rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator" test="not
                (
                    rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
              	    and
                	(
                        count(rvctc3.02.00:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        or
                    	count(rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        or
                        count(rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    )
                )"></assert>
<!--
          Rule ID: VR.ATO.LS.414027
          IF [LS26] = FALSE AND [LS27] = NULL
            RETURN VALIDATION MESSAGE
          ENDIF

          [LS26] = LS:RP:rvctc3.xx.xx:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator
          [LS27] = LS:RP:rvctc3.xx.xx:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator
         -->

<assert  id="VR.ATO.LS.414027" diagnostics="DVR.ATO.LS.414027" subject="rvctc3.02.00:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator" test="not
                (
              		rvctc3.02.00:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='false' or .='0')]
                  	and
                    count(rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]) = 0
                )"></assert>
<!--
          Rule ID: VR.ATO.LS.414026
          IF [LS26] = TRUE AND ([LS27] <> NULL OR [LS28] <> NULL)
            RETURN VALIDATION MESSAGE
          ENDIF

          [LS26] = LS:RP:rvctc3.xx.xx:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator
          [LS27] = LS:RP:rvctc3.xx.xx:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator
          [LS28] = LS:RP:rvctc3.xx.xx:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount
        -->

<assert  id="VR.ATO.LS.414026" diagnostics="DVR.ATO.LS.414026" subject="rvctc3.02.00:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator" test="not
                (
                    rvctc3.02.00:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='true' or .='1')]
              	    and
                	(
                        rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        or
                        rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    )
                )"></assert>
<!--
            Rule ID: VR.ATO.LS.414028
            
            IF [LS27] = TRUE AND ([LS28] = NULL OR [LS28] = 0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS27] = LS:RP:rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator
            [LS28] = LS:RP:rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount
        -->

<assert  id="VR.ATO.LS.414028" diagnostics="DVR.ATO.LS.414028" subject="rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount" test="not
                        (
                            rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                            and 
                            sum(
                               rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ) = 0
                        )"></assert>
<!--
            IF ([LS65] OR [LS67] OR [LS68] OR [LS69] OR [LS70] OR [LS71] OR [LS72] OR [LS73] OR [LS74] OR [LS76] OR [LS79]) <> NULL AND 
            [LS74] <> [LS65] + [LS79] - [LS67] + [LS68] + [LS69] - [LS76] - [LS70] - [LS71] - [LS72] - [LS73]
              RETURN VALIDATION MESSAGE
            ENDIF

            [LS65] = LS:RP:rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount
            [LS67] = LS:RP:rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount
            [LS68] = LS:RP:rvctc3.02.02:Tax.Losses.Incurred.Amount
            [LS69] = LS:RP:rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount
            [LS70] = LS:RP:rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount
            [LS71] = LS:RP:rvctc3.02.02:Tax.Losses.Forgone.Amount
            [LS72] = LS:RP:rvctc3.02.00:Tax.Losses.Total.Amount
            [LS73] = LS:RP:rvctc3.02.02:Tax.Losses.TransferredOut.Amount
            [LS74] = LS:RP:rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
            [LS76] = LS:RP:rvctc3.02.00:Tax.Losses.Utilised.Amount
            [LS79] = LS:RP:rvctc3.02.14:Tax.Losses.Uplift.Amount
        -->
        <assert id="VR.ATO.LS.414112" diagnostics="DVR.ATO.LS.414112" 
                test="not(
                          (
                            $LS65 or $LS67 or $LS68 or $LS69 or $LS70 or $LS71 or $LS72 or $LS73 or $LS74 or $LS76
                          )
                          and
                          (
                            round(xs:decimal(sum($LS74) * 100))
                            != 
                            (
                                  round(xs:decimal(sum($LS65) * 100))
                                + round(xs:decimal(sum($LS79) * 100))
                                - round(xs:decimal(sum($LS67) * 100))
                                + round(xs:decimal(sum($LS68) * 100))
                                + round(xs:decimal(sum($LS69) * 100))
                                - round(xs:decimal(sum($LS76) * 100))
                                - round(xs:decimal(sum($LS70) * 100))
                                - round(xs:decimal(sum($LS71) * 100))
                                - round(xs:decimal(sum($LS72) * 100))
                                - round(xs:decimal(sum($LS73)) * 100))
                          )
                     )"/>
</rule>
</pattern>