<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:i="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:exslt="http://gotdotnet.com/exslt/strings"
                xmlns:xbrli="http://www.xbrl.org/2003/instance"
                xmlns:xbrldi="http://xbrl.org/2006/xbrldi"
                xmlns:link="http://www.xbrl.org/2003/linkbase"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech"
                xmlns:ptr.0003.lodge.req.02.00="http://sbr.gov.au/rprt/ato/ptr/ptr.0003.lodge.request.02.00.report"
                xmlns:address2.02.01="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module"
                xmlns:address2.02.02="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.02.module"
                xmlns:bafpr1.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.02.data"
                xmlns:bafpr2.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.00.data"
                xmlns:bafpr3.02.03="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.03.data"
                xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data"
                xmlns:bafpr1.02.05="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.05.data"
                xmlns:bafpr1.02.09="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.09.data"
                xmlns:bafpr1.02.13="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.13.data"
                xmlns:bafpr3.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.02.data"
                xmlns:bafpr3.02.11="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.11.data"
                xmlns:bafpo7.02.02="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.02.data"
                xmlns:bafpo7.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data"
                xmlns:bafpo1.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.04.data"
                xmlns:bafpo7.02.11="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.11.data"
                xmlns:bafpr1.02.10="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.10.data"
                xmlns:lrla.02.00="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data"
                xmlns:lrla.02.09="http://sbr.gov.au/icls/lr/lrla/lrla.02.09.data"
                xmlns:lrla.02.05="http://sbr.gov.au/icls/lr/lrla/lrla.02.05.data"
                xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data"
                xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data"
                xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data"
                xmlns:pyde.02.10="http://sbr.gov.au/icls/py/pyde/pyde.02.10.data"
                xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data"
                xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data"
                xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data"
                xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module"
                xmlns:rvctc1.02.01="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.01.data"
                xmlns:rvctc1.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.03.data"
                xmlns:rvctc2.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data"
                xmlns:rvctc2.02.01="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.01.data"
                xmlns:rvctc2.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.03.data"
                xmlns:rvctc2.02.09="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.09.data"
                xmlns:rvctc4.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.00.data"
                xmlns:rvctc4.02.05="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.05.data"
                xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data"
                xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data"
                xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module"
                xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module"
                xmlns:pyin.02.03="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data"
                xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module"
                xmlns:pyin.02.07="http://sbr.gov.au/icls/py/pyin/pyin.02.07.data"
                xmlns:pyin.02.08="http://sbr.gov.au/icls/py/pyin/pyin.02.08.data"
                xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data"
                xmlns:phone1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module"
                xmlns:bafot.02.00="http://sbr.gov.au/icls/baf/bafot/bafot.02.00.data"
                xmlns:bafot.02.11="http://sbr.gov.au/icls/baf/bafot/bafot.02.11.data"
                xmlns:bafpr1.02.12="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.12.data"
                xmlns:bafpr1.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data"
                xmlns:rvctc1.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.00.data"
                xmlns:bafpr2.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.02.data"
                xmlns:bafpo1.02.00="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.00.data"
                xmlns:gfagc.02.00="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.00.data"
                xmlns:bafpr2.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.04.data"
                xmlns:gfati.02.03="http://sbr.gov.au/icls/gfa/gfati/gfati.02.03.data"
                xmlns:gfagg.02.00="http://sbr.gov.au/icls/gfa/gfagg/gfagg.02.00.data"
                xmlns:bafot.02.02="http://sbr.gov.au/icls/baf/bafot/bafot.02.02.data"
                xmlns:gfagg.02.02="http://sbr.gov.au/icls/gfa/gfagg/gfagg.02.02.data"
                xmlns:pyde.02.06="http://sbr.gov.au/icls/py/pyde/pyde.02.06.data"
                xmlns:bafpo1.02.02="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.02.data"
                xmlns:period1.02.01="http://sbr.gov.au/comnmdle/comnmdle.perioddetails1.02.01.module"
                xmlns:pyin.02.05="http://sbr.gov.au/icls/py/pyin/pyin.02.05.data"
                xmlns:bafpo6.02.09="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.09.data"
                xmlns:cas.0001.lodge.req.02.00="http://sbr.gov.au/rprt/ato/cas/cas.0001.lodge.request.02.00.report"
                xmlns:iee.0002.lodge.req.02.00="http://sbr.gov.au/rprt/ato/iee/iee.0002.lodge.request.02.00.report"
                xmlns:nipss.0001.lodge.req.02.00="http://sbr.gov.au/rprt/ato/nipss/nipss.0001.lodge.request.02.00.report"
                xmlns:ids.0002.lodge.request.02.00="http://sbr.gov.au/rprt/ato/ids/ids.0002.lodge.request.02.00.report"
                xmlns:ids.0002.lodge.req.02.00="http://sbr.gov.au/rprt/ato/ids/ids.0002.lodge.request.02.00.report"
                xmlns:rspt.0001.lodge.req.02.00="http://sbr.gov.au/rprt/ato/rspt/rspt.0001.lodge.request.02.00.report"
                xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module"
                xmlns:rvctc2.02.08="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.08.data"
                xmlns:function="http://ato.gov.au/SWSFunctions"
                xmlns:fn="http://www.w3.org/2005/xpath-functions"
                version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->
<xsl:import href="ATO_SWS_Functions.xsl"/>
   <xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="no"/>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02"
                       xmlns:isns="http://www.ato.gov.au/IS/2009/02">
         <xsl:apply-templates select="/" mode="M92"/>
         <xsl:apply-templates select="/" mode="M93"/>
         <xsl:apply-templates select="/" mode="M94"/>
         <xsl:apply-templates select="/" mode="M95"/>
         <xsl:apply-templates select="/" mode="M96"/>
         <xsl:apply-templates select="/" mode="M97"/>
      </ProcessMessages>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->


<!--
                PATTERN CrossFormVariablesCross Form Validation Variables-->
<xsl:variable name="PTR.Context"
                 select="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ptr/ptr_0003/ptr.0003.lodge.request.02.00.report.xsd']]"/>
   <xsl:variable name="RP.PTR.Context"
                 select="$PTR.Context/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]"/>
   <xsl:variable name="RP.PTR.ContextId" select="$RP.PTR.Context/@id"/>
   <xsl:variable name="INT.PTR.Context"
                 select="$PTR.Context/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                 xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]             ]"/>
   <xsl:variable name="INT.PTR.ContextId" select="$INT.PTR.Context/@id"/>
   <xsl:variable name="RP.JAUS.Prim.PTR.Context"
                 select="$PTR.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and matches(.,'^IndustryProductionType\.\d\d\.\d\d:PrimaryProduction$')]) = 1]            ]"/>
   <xsl:variable name="RP.JAUS.Prim.PTR.ContextId"
                 select="$RP.JAUS.Prim.PTR.Context/@id"/>
   <xsl:variable name="RP.JAUS.NonPrim.PTR.Context"
                 select="$PTR.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and matches(.,'^IndustryProductionType\.\d\d\.\d\d:NonPrimaryProduction$')]) = 1]            ]"/>
   <xsl:variable name="RP.JAUS.NonPrim.PTR.ContextId"
                 select="$RP.JAUS.NonPrim.PTR.Context/@id"/>
   <xsl:variable name="RP.JFOREIGN.PTR.Context"
                 select="$PTR.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]             ]"/>
   <xsl:variable name="RP.JFOREIGN.PTR.ContextId" select="$RP.JFOREIGN.PTR.Context/@id"/>
   <xsl:variable name="RP.JAUS.PTR.Context"
                 select="$PTR.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1]             ]"/>
   <xsl:variable name="RP.JAUS.PTR.ContextId" select="$RP.JAUS.PTR.Context/@id"/>
   <xsl:variable name="RP.JFOREIGN.CFCLC.PTR.Context"
                 select="$PTR.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]            ]"/>
   <xsl:variable name="RP.JFOREIGN.CFCLC.PTR.ContextId"
                 select="$RP.JFOREIGN.CFCLC.PTR.Context/@id"/>
   <xsl:variable name="RP.JFOREIGN.CFC404.PTR.Context"
                 select="$PTR.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]            ]"/>
   <xsl:variable name="RP.JFOREIGN.CFC404.PTR.ContextId"
                 select="$RP.JFOREIGN.CFC404.PTR.Context/@id"/>
   <xsl:variable name="RP.JFOREIGN.CFCUC.PTR.Context"
                 select="$PTR.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]            ]"/>
   <xsl:variable name="RP.JFOREIGN.CFCUC.PTR.ContextId"
                 select="$RP.JFOREIGN.CFCUC.PTR.Context/@id"/>
   <xsl:variable name="RP.TOFA.PTR.Context"
                 select="$PTR.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and matches(.,'^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]             ]"/>
   <xsl:variable name="RP.TOFA.PTR.ContextId" select="$RP.TOFA.PTR.Context/@id"/>
   <xsl:template match="text()" priority="-1" mode="M92"/>
   <xsl:template match="@*|node()" priority="-2" mode="M92">
      <xsl:apply-templates select="*" mode="M92"/>
   </xsl:template>

   <!--
                PATTERN CrossFormPTR Cross Form Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ptr/ptr_0003/ptr.0003.lodge.request.02.00.report.xsd']]"
                 priority="1000"
                 mode="M93">
      <xsl:variable name="RP.PTR.TFN"
                    select="$RP.PTR.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn' and string-length(normalize-space(.)) != 0]"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]                         and count($IDS.Context) = 0                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438002</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]                         and count($IDS.Context) = 0                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438003</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             (                                 round(xs:decimal(100 * (sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]))))                                 !=                                 round(xs:decimal(100 * (sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]))))                             )                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430086</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.05:Expense.Interest.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             count($RSPT.Context) &gt; 0                             and                             sum (                              $RSPT.Context/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')] )                             !=                             (                             sum (                              bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                             -                             sum (                              bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                             -                             sum (                              bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                             -                             sum (                              rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                             )                                                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430084</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             count(pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                             and count($IEE.Context) &gt; 0                             and count($IEE.Context/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code                                 [@contextRef = $RP.IEE.ContextId  and not(@i:nil='true' or @i:nil='1') and . = 'R']) &gt; 0                             and $IEE.Context/rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]                                  != pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430176</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Report.TargetFinancial.Year</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         count($RSPT.Context) &gt; 0                         and not(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount                                 [@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                         and sum(bafpr1.02.05:Expense.Interest.Amount                                 [@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] ) = 0                          and sum(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount                                 [@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                         and sum(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount                                     [@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430082</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             count($RSPT.Context) &gt; 0                             and                                  (                                     round(100 * xs:decimal(sum(                                     $RSPT.Context/bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')] |                                     $RSPT.Context/bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]                                     )))                                 !=                                 round(100 * xs:decimal(sum(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                                 )))                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430083</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                             count($IEE.Context) &gt; 0                         and                         count($IEE.Context/iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier                             [@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and . = $RP.PTR.TFN]) &gt; 0                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430008</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         sum(                             lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.Prim.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |                             lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.NonPrim.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]                         )                         &gt; 0                          and                         count($NIPSS.Context) = 0                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430019</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not( count($NIPSS.Context) &gt; 0                        and (                              round(xs:decimal(                                 sum($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]                             ) * 100))                           !=                             round(xs:decimal(                             sum(                                 lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.Prim.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |                                 lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.NonPrim.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]                              ) * 100))                           )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430020</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(not(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.PTR.ContextId])                       and count($IEE.Context) &gt; 0)"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430178</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         count($IEE.Context) = 0                         and rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code[@contextRef = $RP.PTR.ContextId  and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='R')]                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430180</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]                         and                         (                             count($NIPSS.Context) = 0                             or                             (                                 round(xs:decimal(                                     sum($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/nipss.0001.lodge.req.02.00:PAYGWithholding[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN']                                     ) * 100))                                 !=                                 round(xs:decimal(                                     sum(                                         rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]                                     ) * 100))                             )                             )                              )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430183</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not( count($NIPSS.Context) &gt; 0                          and (                                round(xs:decimal(                                    sum($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]                                   ) * 100))                              !=                             round(xs:decimal(                                  sum(                                 lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.NonPrim.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]                                 ) * 100))                             )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430025</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                           count($RSPT.Context) &gt; 0                           and                            round(xs:decimal(100 * sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])))                           !=                           round(xs:decimal(100 * sum(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])))                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430088</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.02:Expense.CapitalWorksDeduction.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                              (bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]                             or sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                                  &gt; 0                             or sum(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                                  &gt; 0                             or sum(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                                 &gt; 0)                            and (count($RSPT.Context) = 0)                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430081</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                           count($RSPT.Context) &gt; 0                           and                            round(xs:decimal(100 * (sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr1.02.00:Expense.LandTax.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr1.02.00:Expense.Travel.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]) +                                        sum($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])                                       )                           ))                                  !=                           round(xs:decimal(100 * sum(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])))                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430090</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             (                             bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFCLC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0                              or                              bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFC404.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0                              or                              bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFCUC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0                             )                              and                             (                                 round(xs:decimal(100 * sum(                                     bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFCLC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]                                     |bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFC404.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]                                     |bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFCUC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]                                     )))                                 &lt;                                 round(xs:decimal(100 * sum(                                                                      $IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]                                     |$IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]                                     |$IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]                                     )))                             )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.PTR.430998</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         number(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.JFOREIGN.CFCLC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;  0                         and                         (                             number($IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount[@contextRef=$RP.CFCLC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])                             &gt;                              number(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.JFOREIGN.CFCLC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                         )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.PTR.430999</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         number(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;  0                         and                         (                             number(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                             &lt;                              number($IDS.Context/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.Royalties.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])                         )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.PTR.430996</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.04:Expense.Royalties.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                                  sum(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                                                    and                                                sum($IDS.Context/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.Royalties.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                                                            )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.PTR.430995</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.04:Expense.Royalties.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                         and                                             $IDS.Context/bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.PTR.431003</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.04:Income.Other.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                              not(rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                             and                             count($IDS.Context) = 1                             and                             $IDS.Context/rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator[@contextRef= $RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438040</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                            rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]                            and                            $IDS.Context/rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]                          )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.PTR.431001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          (                             sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFCLC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                             or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFC404.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                             or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.JFOREIGN.CFCUC.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                         )                         and                         (                             not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCLC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])                             or not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCSP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])                             or not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCUC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])                         ))"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.PTR.431000</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             (                                 number(bafpr2.02.04:Expense.Operating.InterestTotal.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                                 or                                 not(bafpr2.02.04:Expense.Operating.InterestTotal.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                             )                             and                              (                                 sum(ptr.0003.lodge.req.02.00:OtherDeductions/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                                  or                                 not(ptr.0003.lodge.req.02.00:OtherDeductions/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                             )                             and                              (                                 number(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                                  or                                 not(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])                             )                             and                              number($IDS.Context/rvctc2.02.08:IncomeTax.Deduction.DebtEarningNonAssessableForeignIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                           )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.PTR.431002</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.Operating.InterestTotal.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                         and                         count($IDS.Context) = 0                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.PTR.431014</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.05:Expense.Interest.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         sum(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                         and                         count($IDS.Context) = 0                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.PTR.431015</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.04:Expense.Royalties.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]                         and                         count($IDS.Context) = 0                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438017</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             (bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]                               and                               rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]                                and                               bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]                              )                               and                               (                                 (not(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) or sum( bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] ) = 0)                                   and                                  (not(bafpr1.02.04:Expense.Royalties.Amount[@contextRef =$RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) or sum( bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] ) = 0)                               )                                               and                              (count($IDS.Context) = 1)                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438031</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M93"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M93"/>
   <xsl:template match="@*|node()" priority="-2" mode="M93">
      <xsl:apply-templates select="*" mode="M93"/>
   </xsl:template>

   <!--
                PATTERN CrossFormIEEIEE Cross Form Variables and IEE CrossForm Validations-->
<xsl:variable name="IEE.Context"
                 select="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iee/iee_0002/iee.0002.lodge.request.02.00.report.xsd']]"/>
   <xsl:variable name="RP.IEE.Context"
                 select="$IEE.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]"/>
   <xsl:variable name="RP.IEE.ContextId" select="$RP.IEE.Context/@id"/>
   <xsl:variable name="INT.IEE.Context"
                 select="$IEE.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]            ]"/>
   <xsl:variable name="INT.IEE.ContextId" select="$INT.IEE.Context/@id"/>

	  <!--
            RULE -->
<xsl:template match="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and link:schemaRef/@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iee/iee_0002/iee.0002.lodge.request.02.00.report.xsd']"
                 priority="1000"
                 mode="M94">
      <xsl:variable name="IEE5"
                    select="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]                     /pyde.02.00:AddressDetails.Line1.Text                       [@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')                         and string-length(normalize-space(.)) != 0                        and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'                        and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'C']"/>
      <xsl:variable name="IEE11"
                    select="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]                       /pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')                          and string-length(normalize-space(.)) != 0                         and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'                         and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'P']"/>
      <xsl:variable name="IEE10"
                    select="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]                       /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')                          and string-length(normalize-space(.)) != 0                         and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'                         and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'P']"/>
      <xsl:variable name="IEE4"
                    select="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]                       /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')                          and string-length(normalize-space(.)) != 0                         and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'                         and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C']"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         $IEE5                         and                         (                            $IEE5                            !=                            $PTR.Context/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]                              /pyde.02.00:AddressDetails.Line1.Text                                [@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')                                                                    and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'                                  and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'C']                         )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.IEE.410223</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/address2.02.00:AddressDetails</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         $IEE11                         and                         (                           $IEE11                           !=                           $PTR.Context/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]                             /pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')                                and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'                               and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'P']                         )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.IEE.410223</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/address2.02.00:AddressDetails</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         $IEE10                         and                         (                           $IEE10                           !=                           $PTR.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]                             /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')                               and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'                               and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'P']                         )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.402063</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                                   $RP.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0]                           and                          $RP.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0]                           !=                           $RP.PTR.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0]                        )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410115</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                           $IEE4                         and                         (                           $IEE4                           !=                           $PTR.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]                             /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')                             and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'                             and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C']                         )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.402063</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test=" not(                                             $INT.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0] and                             $INT.IEE.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0] !=                             $INT.PTR.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0]                             )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.410119</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="              not              (                 (                 $PTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                 and                 pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                 )             and                 (                 pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                 !=                 $PTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                 )             )              "/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.402010</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                           rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')                            and upper-case(.) = 'E']                         and                         (                           not(iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]                                 /pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')                                      and string-length(normalize-space(.)) != 0])                           and                           not(iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]                                 /pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')                                     and matches(.,'^(true|1)$')])                         )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.IEE.410086</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'R']                             and                             (                                 not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0                                     and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'                                     and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C'])                                 or                                 not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0                                     and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'                                                 and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'C'])                                 or                                 not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0                                     and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'                                                 and upper-case(../pyde.02.00:AddressDetails.Currency.Code) = 'C'])                                 or                                 not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0                                     and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'])                                 or                                 not(rvctc3.02.00:Elections.Revocation.Year[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                             )                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.IEE.410071</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')                            and upper-case(.) = 'R']                         and                         not(iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]                           /pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')                             and string-length(normalize-space(.)) != 0])                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.IEE.410193</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             rvctc3.02.00:Elections.Revocation.Year[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0]                             and                             rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')  and upper-case(.) = 'E']                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.IEE.410069</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:Elections.Revocation.Year</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         (                             iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             or                             iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]                             or                             iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/period1.02.01:PeriodDetails[pyin.02.05:Period.Type.Code='SubstitutedAccountingPeriod']/pyin.02.00:Period.Start.Date[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]                             or                             iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/period1.02.01:PeriodDetails[pyin.02.05:Period.Type.Code='SubstitutedAccountingPeriod']/pyin.02.00:Period.End.Date[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]                             or                             iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]                             or                             iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             or                             iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             or                             iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.Title.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             or                             iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             or                             iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.NameSuffix.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             or                             iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[pyde.02.00:PersonNameDetails.Currency.Code='C' and pyde.02.00:PersonNameDetails.PersonNameType.Code='LGL']/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             or                             iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[pyde.02.01:AddressDetails.Usage.Code='RES' and pyde.02.00:AddressDetails.Currency.Code='C']/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             or                             iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[pyde.02.01:AddressDetails.Usage.Code='RES' and pyde.02.00:AddressDetails.Currency.Code='C']/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             or                             iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[pyde.02.01:AddressDetails.Usage.Code='RES' and pyde.02.00:AddressDetails.Currency.Code='C']/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             or                             iee.0002.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[pyde.02.01:AddressDetails.Usage.Code='RES' and pyde.02.00:AddressDetails.Currency.Code='C']/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                         )                             and                         count(rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.IEE.410076</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:Elections.Revocation.Year</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')                            and upper-case(.) = 'E']                                                   and pyde.02.03:Party.Type.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')                            and matches(.,'^(217|212|161)$')]                                                   and iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]                           /pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')                              and not(matches(.,'^(true|1)$'))]                                                   and not(iee.0002.lodge.req.02.00:TrusteeOrPartner[not(@i:nil='true' or @i:nil='1')]                           /pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')                              and string-length(normalize-space(.)) != 0])                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.IEE.410100</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(R)$')]                          and(                                        rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                                 !=                                 $PTR.Context/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             )                        )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.IEE.410070</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:Elections.Revocation.Year</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          count(rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                                 and                          rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and . &lt; '2011']                        )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.IEE.410238</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:Elections.Revocation.Year</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="                     not (  $INT.IEE.ContextId and                         (count(declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/                         pyin.02.03:Declaration.StatementType.Code[@contextRef = $INT.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]))                         &gt; 0                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.IEE.410262</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test=" not(                                                 rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]                             and                             (   rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]                                 !=                                 $PTR.Context/pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]                             )                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.IEE.410235</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:Elections.Commencement.Date</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M94"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M94"/>
   <xsl:template match="@*|node()" priority="-2" mode="M94">
      <xsl:apply-templates select="*" mode="M94"/>
   </xsl:template>

   <!--
                PATTERN CrossFormNIPNIPS Cross Form Variables and NIPS CrossForm Validations-->
<xsl:variable name="NIPSS.Context"
                 select="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/nipss/nipss_0001/nipss.0001.lodge.request.02.00.report.xsd']]"/>
   <xsl:variable name="RP.NIPSS.Context"
                 select="$NIPSS.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]            ]"/>
   <xsl:variable name="RP.NIPSS.ContextId" select="$RP.NIPSS.Context/@id"/>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/nipss/nipss_0001/nipss.0001.lodge.request.02.00.report.xsd']]"
                 priority="1000"
                 mode="M95">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                       xbrli:context[@id=$RP.NIPSS.ContextId]/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                       !=                       $RP.PTR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]                    )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.402009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                             (                             $PTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                              and                             pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                         )                         and                         (                             pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             !=                             $PTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                         )                      )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.402010</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                                 count(orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) != 0                             and                                  orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                                 !=                                 $PTR.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0                                  and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')] = 'MN'                                 and ../pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')] = 'C']                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.400013</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M95"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M95"/>
   <xsl:template match="@*|node()" priority="-2" mode="M95">
      <xsl:apply-templates select="*" mode="M95"/>
   </xsl:template>

   <!--
                PATTERN CrossFormRSPTRSPT Cross Form Variables and RSPT CrossForm Validations-->
<xsl:variable name="RSPT.Context"
                 select="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1')              and child::link:schemaRef             [@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/rspt/rspt_0001/rspt.0001.lodge.request.02.00.report.xsd']          ]"/>
   <xsl:variable name="RP.RSPT.Context"
                 select="$RSPT.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]            ]"/>
   <xsl:variable name="RP.RSPT.ContextId" select="$RP.RSPT.Context/@id"/>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/rspt/rspt_0001/rspt.0001.lodge.request.02.00.report.xsd']]"
                 priority="1000"
                 mode="M96">
      <xsl:variable name="prev_year"
                    select="number($PTR.Context/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])-1"/>
      <xsl:variable name="curr_year"
                    select="number($PTR.Context/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])"/>
      <xsl:variable name="year_begin" select="xs:date(concat($prev_year, '-07-01'))"/>
      <xsl:variable name="year_end" select="xs:date(concat($curr_year, '-06-30'))"/>
      <xsl:variable name="disposal_date"
                    select="bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef=$RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef=$RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]                           and(function:IsDate1GreaterThanDate2($year_begin, xs:date($disposal_date))                             or function:IsDate1GreaterThanDate2(xs:date($disposal_date), $year_end))                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.430002</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.Disposal.Date</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         xbrli:context[@id=$RP.RSPT.ContextId]/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                         !=                         $RP.PTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001027</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:period/xbrli:startDate</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         xbrli:context[@id=$RP.RSPT.ContextId]/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                         !=                         $RP.PTR.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001028</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:period/xbrli:endDate</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             xbrli:context[@id=$RP.RSPT.ContextId]/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             !=                             $RP.PTR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]                             )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.402009</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                                 (                                 upper-case(orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0                                 and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) = 'MN'])                             )                             !=                             (                                 upper-case($PTR.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0                                 and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) = 'MN'                                 and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) = 'C'])                             )                       )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.RSPT.420060</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M96"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M96"/>
   <xsl:template match="@*|node()" priority="-2" mode="M96">
      <xsl:apply-templates select="*" mode="M96"/>
   </xsl:template>

   <!--
                PATTERN CrossFormIDSXBRL Cross Form Validations that are applicable to IDS.-->
<xsl:variable name="IDS.Context"
                 select="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ids/ids_0002/ids.0002.lodge.request.02.00.report.xsd']]"/>
   <xsl:variable name="RP.IDS.Context"
                 select="$IDS.Context/xbrli:context[             not(@i:nil='true' or @i:nil='1')              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/             xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]          ]"/>
   <xsl:variable name="RP.IDS.ContextId" select="$RP.IDS.Context/@id"/>
   <xsl:variable name="RP.Royalties.IDS.Context"
                 select="$IDS.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Royalties$')]) = 1]          ]"/>
   <xsl:variable name="RP.Royalties.IDS.ContextId"
                 select="$RP.Royalties.IDS.Context/@id"/>
   <xsl:variable name="RP.OtherInterest.IDS.Context"
                 select="$IDS.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherInterest$')]) = 1]          ]"/>
   <xsl:variable name="RP.OtherInterest.IDS.ContextId"
                 select="$RP.OtherInterest.IDS.Context/@id"/>
   <xsl:variable name="RP.CFCLC.IDS.Context"
                 select="$IDS.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]           ]"/>
   <xsl:variable name="RP.CFCLC.IDS.ContextId" select="$RP.CFCLC.IDS.Context/@id"/>
   <xsl:variable name="RP.CFCSP.IDS.Context"
                 select="$IDS.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:SpecifiedCountry$')]) = 1]           ]"/>
   <xsl:variable name="RP.CFCSP.IDS.ContextId" select="$RP.CFCSP.IDS.Context/@id"/>
   <xsl:variable name="RP.CFCUC.IDS.Context"
                 select="$IDS.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]           ]"/>
   <xsl:variable name="RP.CFCUC.IDS.ContextId" select="$RP.CFCUC.IDS.Context/@id"/>
   <xsl:template match="text()" priority="-1" mode="M97"/>
   <xsl:template match="@*|node()" priority="-2" mode="M97">
      <xsl:apply-templates select="*" mode="M97"/>
   </xsl:template>
</xsl:stylesheet>
