<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:i="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:exslt="http://gotdotnet.com/exslt/strings"
                xmlns:xbrli="http://www.xbrl.org/2003/instance"
                xmlns:xbrldi="http://xbrl.org/2006/xbrldi"
                xmlns:link="http://www.xbrl.org/2003/linkbase"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech"
                xmlns:smsfar.0004.lodge.req.02.00="http://sbr.gov.au/rprt/ato/smsfar/smsfar.0004.lodge.request.02.00.report"
                xmlns:lrla.02.00="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data"
                xmlns:rvctc2.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.02.data"
                xmlns:rvctc2.02.06="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.06.data"
                xmlns:rvctc2.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data"
                xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data"
                xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data"
                xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data"
                xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data"
                xmlns:pyin.02.16="http://sbr.gov.au/icls/py/pyin/pyin.02.16.data"
                xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data"
                xmlns:bafpr1.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data"
                xmlns:rvctc3.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.03.data"
                xmlns:bafpr3.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.02.data"
                xmlns:bafpr1.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.02.data"
                xmlns:bafpr1.02.05="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.05.data"
                xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module"
                xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module"
                xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data"
                xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data"
                xmlns:lrla.02.05="http://sbr.gov.au/icls/lr/lrla/lrla.02.05.data"
                xmlns:gfagc.02.01="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.01.data"
                xmlns:gfagc.02.04="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.04.data"
                xmlns:rvctc1.02.07="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.07.data"
                xmlns:period1.02.01="http://sbr.gov.au/comnmdle/comnmdle.perioddetails1.02.01.module"
                xmlns:pyin.02.05="http://sbr.gov.au/icls/py/pyin/pyin.02.05.data"
                xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module"
                xmlns:address2.02.01="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module"
                xmlns:address2.02.02="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.02.module"
                xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data"
                xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module"
                xmlns:pyin.02.03="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data"
                xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data"
                xmlns:emsup.02.06="http://sbr.gov.au/icls/em/emsup/emsup.02.06.data"
                xmlns:rvctc3.02.11="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.11.data"
                xmlns:bafpr1.02.09="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.09.data"
                xmlns:bafpr1.02.13="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.13.data"
                xmlns:bafpr1.02.15="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.15.data"
                xmlns:bafpr1.02.16="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.16.data"
                xmlns:bafpo7.02.10="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.10.data"
                xmlns:emsup.02.03="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data"
                xmlns:bafpr2.02.05="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.05.data"
                xmlns:emfsm.02.09="http://sbr.gov.au/icls/em/emfsm/emfsm.02.09.data"
                xmlns:gfagc.02.06="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.06.data"
                xmlns:gfagc.02.07="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.07.data"
                xmlns:rvctc1.02.11="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.11.data"
                xmlns:rvctc1.02.12="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.12.data"
                xmlns:rvctc1.02.14="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.14.data"
                xmlns:emsup.02.07="http://sbr.gov.au/icls/em/emsup/emsup.02.07.data"
                xmlns:bafpo7.02.12="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.12.data"
                xmlns:bafpo7.02.13="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.13.data"
                xmlns:emsup.02.08="http://sbr.gov.au/icls/em/emsup/emsup.02.08.data"
                xmlns:emsup.02.09="http://sbr.gov.au/icls/em/emsup/emsup.02.09.data"
                xmlns:bafot.02.00="http://sbr.gov.au/icls/baf/bafot/bafot.02.00.data"
                xmlns:bafpr2.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.00.data"
                xmlns:bafpr2.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.02.data"
                xmlns:bafot.02.05="http://sbr.gov.au/icls/baf/bafot/bafot.02.05.data"
                xmlns:rvctc4.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.00.data"
                xmlns:rvctc1.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.03.data"
                xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data"
                xmlns:emsup.02.01="http://sbr.gov.au/icls/em/emsup/emsup.02.01.data"
                xmlns:emsup.02.02="http://sbr.gov.au/icls/em/emsup/emsup.02.02.data"
                xmlns:emsup.02.05="http://sbr.gov.au/icls/em/emsup/emsup.02.05.data"
                xmlns:nipss.0001.lodge.req.02.00="http://sbr.gov.au/rprt/ato/nipss/nipss.0001.lodge.request.02.00.report"
                xmlns:iee.0002.lodge.req.02.00="http://sbr.gov.au/rprt/ato/iee/iee.0002.lodge.request.02.00.report"
                xmlns:cgts.0002.lodge.req.02.01="http://sbr.gov.au/rprt/ato/cgts/cgts.0002.lodge.request.02.01.report"
                xmlns:function="http://ato.gov.au/SWSFunctions"
                xmlns:fn="http://www.w3.org/2005/xpath-functions"
                version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->
<xsl:import href="ATO_SWS_Functions.xsl"/>
   <xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="no"/>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02"
                       xmlns:isns="http://www.ato.gov.au/IS/2009/02">
         <xsl:apply-templates select="/" mode="M81"/>
         <xsl:apply-templates select="/" mode="M88"/>
      </ProcessMessages>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->


<!--
                PATTERN CrossFormVariablesCross Form Validation Variables-->
<xsl:variable name="SMSFAR.Context"
                 select="//xbrli:xbrl[child::link:schemaRef[matches(@xlink:href,'^http://sbr\.gov\.au/taxonomy/sbr_au_reports/ato/smsfar/smsfar_\d\d\d\d/smsfar\.\d\d\d\d\.lodge\.request\.\d\d\.\d\d\.report\.xsd$')]]"/>
   <xsl:variable name="RP.SMSFAR.Context"
                 select="$SMSFAR.Context/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]"/>
   <xsl:variable name="RP.SMSFAR.ContextId" select="$RP.SMSFAR.Context/@id"/>
   <xsl:variable name="INT.SMSFAR.Context"
                 select="$SMSFAR.Context/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                 xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]             ]"/>
   <xsl:variable name="INT.SMSFAR.ContextId" select="$INT.SMSFAR.Context/@id"/>
   <xsl:variable name="RP.Y0Plus.Closing.SMSFAR.Context"
                 select="$SMSFAR.Context/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]                 and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])             ]"/>
   <xsl:variable name="RP.Y0Plus.Closing.SMSFAR.ContextId"
                 select="$RP.Y0Plus.Closing.SMSFAR.Context/@id"/>
   <xsl:variable name="RPI.Y0Plus.Closing.SMSFAR.Context"
                 select="$SMSFAR.Context/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RPI.Y0Plus.Closing.SMSFAR.ContextId"
                 select="$RPI.Y0Plus.Closing.SMSFAR.Context/@id"/>
   <xsl:variable name="RP.TOFA.SMSFAR.Context"
                 select="$SMSFAR.Context/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and matches(.,'^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]             ]"/>
   <xsl:variable name="RP.TOFA.SMSFAR.ContextId" select="$RP.TOFA.SMSFAR.Context/@id"/>
   <xsl:variable name="RP.Closing.SMSFAR.Context"
                 select="$SMSFAR.Context/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]                 and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])             ]"/>
   <xsl:variable name="RP.Closing.SMSFAR.ContextId"
                 select="$RP.Closing.SMSFAR.Context/@id"/>
   <xsl:variable name="RP.SMSFAR.JFOREIGN.Context"
                 select="$SMSFAR.Context/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]             ]"/>
   <xsl:variable name="RP.SMSFAR.JFOREIGN.ContextId"
                 select="$RP.SMSFAR.JFOREIGN.Context/@id"/>
   <xsl:template match="text()" priority="-1" mode="M81"/>
   <xsl:template match="@*|node()" priority="-2" mode="M81">
      <xsl:apply-templates select="*" mode="M81"/>
   </xsl:template>

   <!--
                PATTERN WarningsWarning Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/smsfar/smsfar_0004/smsfar.0004.lodge.request.02.00.report.xsd']]"
                 priority="1000"
                 mode="M88">
      <xsl:variable name="SMSFAR33W"
                    select="bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR34W"
                    select="bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR35W"
                    select="bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR36W"
                    select="bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR37W"
                    select="bafpr1.02.04:Income.Gross.Amount[@contextRef=$RP.SMSFAR.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR38W"
                    select="bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.SMSFAR.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR39W"
                    select="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR40W"
                    select="bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR41W"
                    select="rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR42W"
                    select="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR43W"
                    select="bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR44W"
                    select="bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR45W"
                    select="bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR46W"
                    select="rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR47W"
                    select="bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR48W"
                    select="pyde.02.05:Party.TrustType.Code[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR49W"
                    select="emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR50W"
                    select="emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR51W"
                    select="emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR52W"
                    select="emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR53W"
                    select="bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR54W"
                    select="bafpr1.02.05:Income.Other.Code[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR55W"
                    select="bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR56W"
                    select="bafpr1.02.04:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR57W"
                    select="bafpr1.02.04:Income.NonArmsLengthTrustDistributionsNet.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR58W"
                    select="bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR301W"
                    select="gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR321W"
                    select="emsup.02.09:SuperannuationFundDetails.IncomeStreamPaid.Indicator[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
      <xsl:variable name="SMSFAR342W"
                    select="smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.07:SuperannuationPayment.BenefitPensions.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             $SMSFAR321W[matches(.,'^(false|0)$')]                              and                              (                                 not($SMSFAR33W) and not($SMSFAR34W) and not($SMSFAR35W) and not($SMSFAR36W) and not($SMSFAR38W)                                 and not($SMSFAR39W) and not($SMSFAR40W) and not($SMSFAR42W) and not($SMSFAR43W) and not($SMSFAR44W)                                  and not($SMSFAR45W) and not($SMSFAR46W) and not($SMSFAR47W) and not($SMSFAR49W) and not($SMSFAR50W)                                  and not($SMSFAR52W) and not($SMSFAR53W) and not($SMSFAR55W) and not($SMSFAR56W)                                  and not($SMSFAR57W) and not($SMSFAR58W) and not($SMSFAR301W)                                                  )                                                   )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.SMSFAR.W00001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.09:SuperannuationFundDetails.IncomeStreamPaid.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <isns:Severity>Warning</isns:Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not($SMSFAR321W and $SMSFAR301W and $SMSFAR342W and                             ($SMSFAR321W[matches(.,'^(true|1)$')] or sum($SMSFAR301W) &gt; 0)                              and                              sum($SMSFAR342W) = 0                                                    )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.SMSFAR.W00002</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/smsfar.0003.lodge.req.02.00:MemberInformation/emsup.02.07:SuperannuationPayment.BenefitPensions.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <isns:Severity>Warning</isns:Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M88"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M88"/>
   <xsl:template match="@*|node()" priority="-2" mode="M88">
      <xsl:apply-templates select="*" mode="M88"/>
   </xsl:template>
</xsl:stylesheet>
