﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="DataTypes" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>DataType Validations</title>

<!-- DATE TYPE -->

<rule name="VR.ATO.GEN.001008" context="xbrli:startDate[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>

<rule name="VR.ATO.GEN.001008" context="xbrli:endDate[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>
<!-- FRACTION TYPE -->

<rule name="VR.ATO.GEN.0010XX" context="rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')]">
</rule>

<rule name="VR.ATO.GEN.0010XX" context="rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')]">
</rule>
<!-- MONETARY TYPE -->

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Capital.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Capital.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Capital.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Capital.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.AllOtherForeignSourceIncomeNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.AssessableForeignSourceIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.AttributabletoForeignNonAssessableNonExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.CarriedForward.ForeignLossComponentExcludingControlledForeignCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.CarriedForward.ForeignSourceConvertibleLosses.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ChoiceToReduceConvertibleForeignLossesToStartingTotalThreshold.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ConvertibleForeignLosses.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ConvertibleForeignLossesIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ForeignLossComponentExcludingControlledForeignCompanyDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ForeignLossComponentOfTaxLossTransferredFromJoiningEntities.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ForeignSourceIncomeStartingTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.Forgone.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.Incurred.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.00:Tax.Losses.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>
    
<rule name="VR.ATO.GEN.001009" context="rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[not(@i:nil='true' or @i:nil='1')]">
    <extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>
    
<rule name="VR.ATO.GEN.001009" context="rvctc3.02.15:Capital.Losses.AppliedNet.Amount[not(@i:nil='true' or @i:nil='1')]">
    <extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]">
    <extends rule="xsd-datatype-monetary" />
</rule>

    

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">
    <extends rule="xsd-datatype-monetary" />
</rule>


<rule name="VR.ATO.GEN.001009" context="rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]">
    <extends rule="xsd-datatype-monetary" />
</rule>

    
<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>


<rule name="VR.ATO.GEN.001009" context="rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[not(@i:nil='true' or @i:nil='1')]">
    <extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.14:Tax.Losses.Uplift.Amount[not(@i:nil='true' or @i:nil='1')]">
    <extends rule="xsd-datatype-monetary" />
</rule>

    <rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.TransferredOut.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.00:Tax.Losses.Utilised.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>
  
<rule name="VR.ATO.GEN.001009" context="rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]">
    <extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.15:Tax.Losses.Deducted.Amount[not(@i:nil='true' or @i:nil='1')]">
    <extends rule="xsd-datatype-monetary" />
</rule>

    
<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>
<!-- BOOLEAN DATATYPES -->

<rule name="VR.ATO.GEN.001010" context="rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>

<rule name="VR.ATO.GEN.001010" context="rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>
<!-- ID DATATYPE -->

<rule name="VR.ATO.GEN.001012" context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/@id">
<extends rule="xsd-datatype-ID" />
</rule>
<!-- SPECIFIC PATTERN DATATYPES -->

<rule name="VR.ATO.GEN.002003" context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrOrganisationNameItemType" />
</rule>

<rule name="VR.ATO.GEN.002006" context="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrTaxFileNumberItemType" />
</rule>

<rule name="VR.ATO.GEN.002015" context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrAustralianBusinessNumberItemType" />
</rule>
</pattern>