﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatories Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

  <!--
      IF [CTR361] <> NULL
         RETURN VALIDATION MESSAGE
      ENDIF

      [CTR361] = CTR:RP:gfagc.02.08:TaxConcession.ResearchAndDevelopment.CreditReceivedNet.Amount

        -->

  <assert  id="VR.ATO.CTR.430069" diagnostics="DVR.ATO.CTR.430069" test="not(
                       gfagc.02.08:TaxConcession.ResearchAndDevelopment.CreditReceivedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                       )"></assert>

<!-- 
            Rule ID: VR.ATO.GEN.438036
            IF (RP:rvctc1.xx.xx:IncomeTax.TotalTaxOnTaxableIncome.Amount) = NULL
             RETURN VALIDATION MESSAGE
            ENDIF

        -->

<assert  id="VR.ATO.GEN.438036" diagnostics="DVR.ATO.GEN.438036" test="$CTR320"></assert>
<!--
          IF [CTR360] = NULL
             RETURN VALIDATION MESSAGE
          ENDIF

          [CTR360] = CTR:RP:rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount

        -->

<assert  id="VR.ATO.CTR.430056" diagnostics="DVR.ATO.CTR.430056" test="not(
                         not(rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                         )"></assert>
<!--
            IF [CTR326] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR326] = CTR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
        -->

<assert  id="VR.ATO.CTR.430049" diagnostics="DVR.ATO.CTR.430049" test="not(
                         not(rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                         )"></assert>
<!-- 
            IF [CTR319] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR319] = CTR:RP:bafot.02.10:RegulatoryDisclosures.ReportableTaxPosition.Indicator
        -->

<assert  id="VR.ATO.CTR.428349" diagnostics="DVR.ATO.CTR.428349" test="bafot.02.10:RegulatoryDisclosures.ReportableTaxPosition.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
<!--
            IF ([CTR42] = NULLORBLANK)
	            RETURN VALIDATION MESSAGE
            ENDIF
      
            [CTR42] = CTR:$RP.ContextId:pyin.xx.xx:Lodgment.FinalReturn.Indicator
        -->

<assert  id="VR.ATO.CTR.428197" diagnostics="DVR.ATO.CTR.428197" test="pyin.02.00:Lodgment.FinalReturn.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            IF ([CTR48] = NULLORBLANK)
	            RETURN VALIDATION MESSAGE
            ENDIF
      
            [CTR48] = CTR:$RP.ContextId:pyde.xx.xx:OrganisationDetails.AustralianMainIncomeActivity.Description
        -->

<assert  id="VR.ATO.CTR.428198" diagnostics="DVR.ATO.CTR.428198" test="pyde.02.05:OrganisationDetails.MainIncomeActivity.Description[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            IF ([CTR49] = NULLORBLANK)
	            RETURN VALIDATION MESSAGE
            ENDIF
      
            [CTR49] = CTR:$RP.ContextId:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
        -->

<assert  id="VR.ATO.CTR.428199" diagnostics="DVR.ATO.CTR.428199" test="pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            IF ([CTR52] = NULLORBLANK)
	            RETURN VALIDATION MESSAGE
            ENDIF
      
            [CTR52] = CTR:$RP.ContextId:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
        -->

<assert  id="VR.ATO.CTR.428200" diagnostics="DVR.ATO.CTR.428200" test="pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            IF ([CTR89] = NULLORBLANK)
	            RETURN VALIDATION MESSAGE
            ENDIF
      
            [CTR89] = CTR:$RP.ContextId:rvctc3.xx.xx:CapitalGainsTax.Event.Indicator
        -->

<assert  id="VR.ATO.CTR.428201" diagnostics="DVR.ATO.CTR.428201" test="rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            IF ([CTR120] = NULLORBLANK)
	            RETURN VALIDATION MESSAGE
            ENDIF
      
            [CTR120] = CTR:$RP.ContextId:bafpr1.xx.xx:Income.Taxable.Amount
        -->

<assert  id="VR.ATO.CTR.428202" diagnostics="DVR.ATO.CTR.428202" test="bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            IF [CTR193] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR193] = CTR:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator
        -->

<assert  id="VR.ATO.CTR.428204" diagnostics="DVR.ATO.CTR.428204" test="rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
<!--
            IF [CTR194] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR194] = CTR:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        -->

<assert  id="VR.ATO.CTR.428205" diagnostics="DVR.ATO.CTR.428205" test="rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
<!--
            IF ([CTR195] = NULLORBLANK)
	            RETURN VALIDATION MESSAGE
            ENDIF
      
            [CTR195] = CTR:$RP.ContextId:rvctc4.xx.xx:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
        -->

<assert  id="VR.ATO.CTR.428206" diagnostics="DVR.ATO.CTR.428206" test="rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            IF ([CTR196] = NULLORBLANK)
	            RETURN VALIDATION MESSAGE
            ENDIF
      
            [CTR196] = CTR:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
        -->

<assert  id="VR.ATO.CTR.428207" diagnostics="DVR.ATO.CTR.428207" test="bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
              IF ([CTR198] = NULLORBLANK)
	              RETURN VALIDATION MESSAGE
              ENDIF
      
              [CTR198] = CTR:$RP.ContextId:rvctc4.xx.xx:InternationalDealings.TransactionswithTaxHavenCountries.Indicator
        -->

<assert  id="VR.ATO.CTR.428209" diagnostics="DVR.ATO.CTR.428209" test="rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            IF ([CTR199] = NULLORBLANK)
	            RETURN VALIDATION MESSAGE
            ENDIF
      
            [CTR199] = CTR:$RP.ContextId:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
        -->

<assert  id="VR.ATO.CTR.428210" diagnostics="DVR.ATO.CTR.428210" test="rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            IF ([CTR203] = NULLORBLANK)
	            RETURN VALIDATION MESSAGE
            ENDIF
      
            [CTR203] = CTR:$RP.ContextId:rvctc1.xx.xx:IncomeTax.Payable.Amount
        -->

<assert  id="VR.ATO.CTR.428211" diagnostics="DVR.ATO.CTR.428211" test="rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            IF ([CTR223] = NULLORBLANK)
	            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR223] = CTR:RP:pyde.xx.xx:ElectronicContact.Telephone.Area.Code
        -->

<assert  id="VR.ATO.CTR.428227" diagnostics="DVR.ATO.CTR.428227" test="//pyde.02.00:ElectronicContact.Telephone.Area.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!-- 
            IF ([CTR224] = NULLORBLANK)
	            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR224] = CTR:$RP.ContextId:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
        -->

    <assert id="VR.ATO.CTR.428228" diagnostics="DVR.ATO.CTR.428228" 
            test="//pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
    <!--
        IF [CTR313] <> NULL
        RETURN VALIDATION MESSAGE
        ENDIF
        
        [CTR313] = CTR:RP:PersonUnstructuredName.FullName.Text 
        IN TUPLE(personunstructuredname1.xx.xx:PersonUnstructuredName) 
        IN TUPLE(declaration2.xx.xx:Declaration)
    -->
    <assert  id="VR.ATO.CTR.428328" diagnostics="DVR.ATO.CTR.428328" subject="pyde.02.00:PersonUnstructuredName.FullName.Text" test="not
                       (
                           count(declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/
                           prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/
                           pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                           &gt; 0
                       )"/>
    <!--
        IF [CTR177] = NULL
        RETURN VALIDATION MESSAGE
        ENDIF
        [CTR177] = CTR:RP:bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator
    -->
    <assert id="VR.ATO.CTR.430024" diagnostics="DVR.ATO.CTR.430024" 
            test="bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/ctr.0005.lodge.req.02.00:ImmediateHoldingCompany[not(@i:nil='true' or @i:nil='1')]">

<!--
            WHERE TUPLE(ctr.0005.lodge.req.xx.xx:ImmediateHoldingCompany) EXISTS
            IF SUBTUPLE (orgname2.xx.xx:OrganisationNameDetails = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CTR.428270" diagnostics="DVR.ATO.CTR.428270" test="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]"></assert>
</rule>
</pattern>