<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:exslt="http://gotdotnet.com/exslt/strings"
                xmlns:i="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:link="http://www.xbrl.org/2003/linkbase"
                xmlns:xbrldi="http://xbrl.org/2006/xbrldi"
                xmlns:xbrli="http://www.xbrl.org/2003/instance"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:address2.02.00="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.00.module"
                xmlns:address2.02.01="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module"
                xmlns:address2.02.02="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.02.module"
                xmlns:address3.02.00="http://sbr.gov.au/comnmdle/comnmdle.addressdetails3.02.00.module"
                xmlns:bafpo1.02.00="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.00.data"
                xmlns:bafpo1.02.02="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.02.data"
                xmlns:bafpo1.02.13="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.13.data"
                xmlns:bafpo2.02.00="http://sbr.gov.au/icls/baf/bafpo/bafpo2.02.00.data"
                xmlns:bafpo2.02.02="http://sbr.gov.au/icls/baf/bafpo/bafpo2.02.02.data"
                xmlns:bafot.02.02="http://sbr.gov.au/icls/baf/bafot/bafot.02.02.data"
                xmlns:bafot.02.05="http://sbr.gov.au/icls/baf/bafot/bafot.02.05.data"
                xmlns:bafot.02.10="http://sbr.gov.au/icls/baf/bafot/bafot.02.10.data"
                xmlns:bafot.02.14="http://sbr.gov.au/icls/baf/bafot/bafot.02.14.data"
                xmlns:bafot.02.11="http://sbr.gov.au/icls/baf/bafot/bafot.02.11.data"
                xmlns:bafot.02.12="http://sbr.gov.au/icls/baf/bafot/bafot.02.12.data"
                xmlns:bafpo5.02.01="http://sbr.gov.au/icls/baf/bafpo/bafpo5.02.01.data"
                xmlns:bafpo6.02.02="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.02.data"
                xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data"
                xmlns:bafpo6.02.09="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.09.data"
                xmlns:bafpo7.02.00="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.00.data"
                xmlns:bafpo7.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data"
                xmlns:bafpo7.02.11="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.11.data"
                xmlns:bafpo7.02.02="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.02.data"
                xmlns:bafpr1.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data"
                xmlns:bafpr1.02.01="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.01.data"
                xmlns:bafpr1.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.02.data"
                xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data"
                xmlns:bafpr1.02.05="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.05.data"
                xmlns:bafpr1.02.12="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.12.data"
                xmlns:bafpr1.02.13="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.13.data"
                xmlns:bafpr1.02.15="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.15.data"
                xmlns:bafpr1.02.16="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.16.data"
                xmlns:bafpr2.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.00.data"
                xmlns:bafpr2.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.02.data"
                xmlns:bafpr2.02.09="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.09.data"
                xmlns:bafpr3.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.02.data"
                xmlns:bafpr3.02.08="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.08.data"
                xmlns:bafpr3.02.11="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.11.data"
                xmlns:bafpr3.02.14="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.14.data"
                xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module"
                xmlns:emsup.02.00="http://sbr.gov.au/icls/em/emsup/emsup.02.00.data"
                xmlns:emsup.02.02="http://sbr.gov.au/icls/em/emsup/emsup.02.02.data"
                xmlns:fininstacc1.02.00="http://sbr.gov.au/comnmdle/comnmdle.financialinstitutionaccount1.02.00.module"
                xmlns:gfagc.02.00="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.00.data"
                xmlns:gfagc.02.01="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.01.data"
                xmlns:gfagc.02.04="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.04.data"
                xmlns:gfagc.02.05="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.05.data"
                xmlns:gfagc.02.06="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.06.data"
                xmlns:gfagc.02.08="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.08.data"
                xmlns:gfagg.02.00="http://sbr.gov.au/icls/gfa/gfagg/gfagg.02.00.data"
                xmlns:gfati.02.00="http://sbr.gov.au/icls/gfa/gfati/gfati.02.00.data"
                xmlns:gfati.02.01="http://sbr.gov.au/icls/gfa/gfati/gfati.02.01.data"
                xmlns:lrla.02.00="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data"
                xmlns:lrla.02.05="http://sbr.gov.au/icls/lr/lrla/lrla.02.05.data"
                xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module"
                xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module"
                xmlns:period1.02.01="http://sbr.gov.au/comnmdle/comnmdle.perioddetails1.02.01.module"
                xmlns:prsnstrcnm1.02.00="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname1.02.00.module"
                xmlns:prsnstrcnm3.02.00="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.00.module"
                xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module"
                xmlns:prsnunstrcnm1.02.00="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.00.module"
                xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module"
                xmlns:phone1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module"
                xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data"
                xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data"
                xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data"
                xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data"
                xmlns:pyde.02.06="http://sbr.gov.au/icls/py/pyde/pyde.02.06.data"
                xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data"
                xmlns:pyde.02.10="http://sbr.gov.au/icls/py/pyde/pyde.02.10.data"
                xmlns:pyde.02.11="http://sbr.gov.au/icls/py/pyde/pyde.02.11.data"
                xmlns:pyde.02.14="http://sbr.gov.au/icls/py/pyde/pyde.02.14.data"
                xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data"
                xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data"
                xmlns:pyin.02.03="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data"
                xmlns:pyin.02.05="http://sbr.gov.au/icls/py/pyin/pyin.02.05.data"
                xmlns:pyin.02.07="http://sbr.gov.au/icls/py/pyin/pyin.02.07.data"
                xmlns:pyin.02.08="http://sbr.gov.au/icls/py/pyin/pyin.02.08.data"
                xmlns:rvctc1.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.00.data"
                xmlns:rvctc1.02.01="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.01.data"
                xmlns:rvctc1.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.03.data"
                xmlns:rvctc1.02.04="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.04.data"
                xmlns:rvctc1.02.07="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.07.data"
                xmlns:rvctc1.02.08="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.08.data"
                xmlns:rvctc2.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data"
                xmlns:rvctc2.02.01="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.01.data"
                xmlns:rvctc2.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.03.data"
                xmlns:rvctc2.02.08="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.08.data"
                xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data"
                xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data"
                xmlns:rvctc3.02.10="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.10.data"
                xmlns:rvctc3.02.11="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.11.data"
                xmlns:rvctc4.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.00.data"
                xmlns:rvctc4.02.01="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.01.data"
                xmlns:rvctc4.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.02.data"
                xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data"
                xmlns:rvctc4.02.04="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.04.data"
                xmlns:rvctc4.02.05="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.05.data"
                xmlns:rvctc2.02.06="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.06.data"
                xmlns:taxrate1.02.00="http://sbr.gov.au/comnmdle/comnmdle.taxrate1.02.00.module"
                xmlns:ctr.0005.lodge.req.02.00="http://sbr.gov.au/rprt/ato/ctr/ctr.0005.lodge.request.02.00.report"
                xmlns:function="http://ato.gov.au/SWSFunctions"
                xmlns:fn="http://www.w3.org/2005/xpath-functions"
                version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->
<xsl:import href="ATO_SWS_Functions.xsl"/>
   <xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="no"/>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02"
                       xmlns:isns="http://www.ato.gov.au/IS/2009/02">
         <xsl:apply-templates select="/" mode="M115"/>
         <xsl:apply-templates select="/" mode="M123"/>
         <xsl:apply-templates select="/" mode="M124"/>
      </ProcessMessages>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->


<!--
                PATTERN ElementVariablesXBRL element variables that are applicable accross the IDS service.-->
<xsl:variable name="CTR2"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR3"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR10"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationDetails.OrganisationActivityStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR12"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'P' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR13"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[@contextRef=$RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR14"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[@contextRef=$RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR42"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Lodgment.FinalReturn.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR48"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.05:OrganisationDetails.MainIncomeActivity.Description[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR49"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR50"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo2.02.00:Equity.ContributedEquity.NonAustralianShareholding.Percent[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR51"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR52"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR53"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR55"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR56"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR57"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR58"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR59"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR60"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR61"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/ctr.0005.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR63"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR64"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR65"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR66"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.05:Income.DividendsTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR67"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR68"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR69"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsIncludesFuel.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR70"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.AssetRevaluationsUnrealisedGains.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR71"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.OtherGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR72"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR73"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.CostOfSales.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR74"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.05:Remuneration.WagesAndSalaries.ContractorandConsultantPayments.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR75"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR76"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.BadDebts.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR77"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.Lease.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR78"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.Lease.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR79"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.Rent.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR80"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.02:Expense.Operating.Interest.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR81"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.02:Expense.Operating.Interest.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR82"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR83"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR84"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR85"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.MotorVehicle.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR86"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.RepairsAndMaintenance.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR87"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.AssetRevaluationsUnrealisedLosses.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR88"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Expense.Other.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR89"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR91"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR92"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.12:Expense.NonDeductibleExemptIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR93"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR94"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR95"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.AssessableOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR96"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.NonDeductible.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR97"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR98"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR99"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR100"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR101"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.CapitalExpenditureImmediateDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR102"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR103"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR104"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR111"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.00:TaxConcession.ImmediateAllowableTaxDeductionLandcareOperationsExpenditureAndDeductionForDeclineInValueOfWaterFacility.Amount[@contextRef=$RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR112"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.EnvironmentalProtectionDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR113"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR114"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.Exempt.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR115"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.NotincludedInAssessableOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR116"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR117"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR118"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.TaxLossesTransferredIn.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR120"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.Taxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR121"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.12:Miscellaneous.CurrencyTranslation.Rate[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR123"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef=$RPI.Opening.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR124"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR125"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR126"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR128"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.13:Assets.TradeandReceivablesOther.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR129"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR130"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.13:Assets.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR131"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.00:Liabilities.NonCurrentTradeAndOtherPayables.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR132"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR133"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.13:Liabilities.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR134"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.02:Liabilities.DebtTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR135"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.02:Liabilities.CommercialDebtForgiveness.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR137"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR138"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR139"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo2.02.02:Equity.Dividends.FrankingAccountBalance.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR142"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.01:IncomeTax.FrankingCredits.ExcessFrankingOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR145"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo5.02.01:Assets.LoansAndReceivables.RelatedParties.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR146"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.02:Assets.LoansAndReceivablesAction.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR147"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR148"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Expense.DepreciatingAssets.OtherFirstDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR149"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR150"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR151"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR152"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.05:Remuneration.WagesAndSalariesAction.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR153"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR154"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.14:Income.InternationalDealings.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR156"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR157"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR158"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR159"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR168"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[@contextRef=$RP.LowCost.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR169"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[@contextRef=$RP.GeneralPool.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR175"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR176"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR177"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR178"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.NonMembers.Percent[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR179"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.Insurance.Taxable.Amount[@contextRef=$RP.CMPLY.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR180"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CMPLY.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR181"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ORD.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR182"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.Insurance.Taxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR183"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.Insurance.FeesAndCharges.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR184"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.PooledDevelopmentFundsSmallToMediumEnterprises.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR185"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.PooledDevelopmentFundsUnregulatedInvestment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR190"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.05:Income.RetirementSavingsAccountsTaxableNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR193"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR194"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR195"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR196"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR198"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR199"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR201"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR202"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfati.02.01:TaxOffsetClaim.FrankingDeficit.Amount[@contextRef=$RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR203"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR204"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR205"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR206"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR209"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR210"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR211"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR212"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.01:IncomeTax.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR213"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxAgentClientReference.Text[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR214"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef=$INT.ContextId and ../pyde.02.05:PersonUnstructuredName.Usage.Code = 'Contact' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR215"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Area.Code[@contextRef=$INT.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR216"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$INT.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR217"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Report.CompletionHours.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR219"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'DeclarationSignatory' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR221"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'DeclarationSignatory' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR222"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'DeclarationSignatory' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR244"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.10:Miscellaneous.FunctionalCurrency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR246"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR247"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR248"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR249"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR252"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.Total.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR253"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR254"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.16:Expense.Total.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR255"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.OtherTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR256"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR260"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR290"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR295"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR298"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyin.02.07:Report.Amendment.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR299"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR300"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundableUtilised.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR302"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef=$RP.Y0Plus1.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR308"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.05:Income.RetirementSavingsAccountTFNNotQuotedContributionsIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR309"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.04:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR310"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR311"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR313"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef=$RP.ContextId and ../pyin.02.03:Declaration.StatementType.Code = 'TrueAndCorrect' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR316"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR317"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR318"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR319"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.10:RegulatoryDisclosures.ReportableTaxPosition.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR320"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR321"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.08:IncomeTax.ResearchAndDevelopmentRecoupment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR322"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR323"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableCarryForward.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR324"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR325"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR326"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR327"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR328"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR330"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR336"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Expense.DepreciatingAssets.ProjectPoolAllocationsForMiningAndTransportCapitalExpenditure.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR337"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Expense.DepreciatingAssets.IntangibleAssetsDeclineInValueOfExplorationOrProspecting.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR338"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Expense.DepreciatingAssets.OtherAssetsDeclineInValueOfExplorationOrProspecting.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR342"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef=$RP.YMiddle.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR344"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.Liability.Amount[@contextRef=$RP.MiddleYear.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR345"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.11:Tax.Losses.CarryBackOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR346"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR347"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR348"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR349"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR353"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef=$RP.YPrevious.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR354"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.11:Income.ResearchAndDevelopment.FeedstockAdjustment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR355"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.13:Income.ExemptNet.Amount[@contextRef=$RP.MiddleYear.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR356"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef=$RP.YEarliestFromMiddle.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR357"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef=$RP.YEarliestFromCurrent.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR358"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.13:Income.ExemptNet.Amount[@contextRef=$RP.EarliestYear.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR359"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.Liability.Amount[@contextRef=$RP.EarliestYear.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="CTR360"
                 select="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:template match="text()" priority="-1" mode="M115"/>
   <xsl:template match="@*|node()" priority="-2" mode="M115">
      <xsl:apply-templates select="*" mode="M115"/>
   </xsl:template>

   <!--
                PATTERN MandatoriesMandatories Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]"
                 priority="1001"
                 mode="M123">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                        gfagc.02.08:TaxConcession.ResearchAndDevelopment.CreditReceivedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                        )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CTR.430069</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.08:TaxConcession.ResearchAndDevelopment.CreditReceivedNet.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="$CTR320"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438036</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          not(rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                          )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                          not(rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                          )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="bafot.02.10:RegulatoryDisclosures.ReportableTaxPosition.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.10:RegulatoryDisclosures.ReportableTaxPosition.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyin.02.00:Lodgment.FinalReturn.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Lodgment.FinalReturn.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.05:OrganisationDetails.MainIncomeActivity.Description[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.03:OrganisationDetails.OrganisationType.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc3.02.00:CapitalGainsTax.Event.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.02:Income.Taxable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.01:IncomeTax.TaxableGross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.01:IncomeTax.Payable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="//pyde.02.00:ElectronicContact.Telephone.Area.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="//pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not                        (                            count(declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/                            prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/                            pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                            &gt; 0                        )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.CTR.428328</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/declaration2.02.01:Declaration/prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.05:PersonUnstructuredName</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M123"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/ctr.0005.lodge.req.02.00:ImmediateHoldingCompany[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M123">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M123"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M123"/>
   <xsl:template match="@*|node()" priority="-2" mode="M123">
      <xsl:apply-templates select="*" mode="M123"/>
   </xsl:template>

   <!--
                PATTERN ContextVariablesXBRL Context Id variables that are applicable accross all of the CTR services.-->
<xsl:variable name="RP.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]            ]"/>
   <xsl:variable name="RP.ContextId" select="$RP.Context/@id"/>
   <xsl:variable name="INT.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/               xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]            ]"/>
   <xsl:variable name="INT.ContextId" select="$INT.Context/@id"/>
   <xsl:variable name="NotForProfit.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/               xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:NotForProfit$')]            ]"/>
   <xsl:variable name="NotForProfit.ContextId" select="$NotForProfit.Context/@id"/>
   <xsl:variable name="RP.NotForProfit.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:NotForProfit$')]) = 1]            ]"/>
   <xsl:variable name="RP.NotForProfit.ContextId" select="$RP.NotForProfit.Context/@id"/>
   <xsl:variable name="RP.JAUS.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1]            ]"/>
   <xsl:variable name="RP.JAUS.ContextId" select="$RP.JAUS.Context/@id"/>
   <xsl:variable name="RP.JFOREIGN.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]            ]"/>
   <xsl:variable name="RP.JFOREIGN.ContextId" select="$RP.JFOREIGN.Context/@id"/>
   <xsl:variable name="RP.Y0.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]            ]"/>
   <xsl:variable name="RP.Y0.ContextId" select="$RP.Y0.Context/@id"/>
   <xsl:variable name="RP.Y0-1.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]            ]"/>
   <xsl:variable name="RP.Y0-1.ContextId" select="$RP.Y0-1.Context/@id"/>
   <xsl:variable name="RP.YMiddle.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:YMiddle$')]) = 1]            ]"/>
   <xsl:variable name="RP.YMiddle.ContextId" select="$RP.YMiddle.Context/@id"/>
   <xsl:variable name="RP.YPrevious.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:YPrevious$')]) = 1]            ]"/>
   <xsl:variable name="RP.YPrevious.ContextId" select="$RP.YPrevious.Context/@id"/>
   <xsl:variable name="RP.Y0Plus1.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Plus1$')]) = 1]            ]"/>
   <xsl:variable name="RP.Y0Plus1.ContextId" select="$RP.Y0Plus1.Context/@id"/>
   <xsl:variable name="RP.MiddleYear.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:MiddleYear$')]) = 1]            ]"/>
   <xsl:variable name="RP.MiddleYear.ContextId" select="$RP.MiddleYear.Context/@id"/>
   <xsl:variable name="RP.YEarliestFromMiddle.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:YEarliestFromMiddle$')]) = 1]            ]"/>
   <xsl:variable name="RP.YEarliestFromMiddle.ContextId"
                 select="$RP.YEarliestFromMiddle.Context/@id"/>
   <xsl:variable name="RP.YEarliestFromCurrent.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:YEarliestFromCurrent$')]) = 1]            ]"/>
   <xsl:variable name="RP.YEarliestFromCurrent.ContextId"
                 select="$RP.YEarliestFromCurrent.Context/@id"/>
   <xsl:variable name="RP.EarliestYear.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:EarliestYear$')]) = 1]            ]"/>
   <xsl:variable name="RP.EarliestYear.ContextId" select="$RP.EarliestYear.Context/@id"/>
   <xsl:variable name="RP.CFCLC.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]            ]"/>
   <xsl:variable name="RP.CFCLC.ContextId" select="$RP.CFCLC.Context/@id"/>
   <xsl:variable name="RP.CFC404.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]            ]"/>
   <xsl:variable name="RP.CFC404.ContextId" select="$RP.CFC404.Context/@id"/>
   <xsl:variable name="RP.CFCUC.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]            ]"/>
   <xsl:variable name="RP.CFCUC.ContextId" select="$RP.CFCUC.Context/@id"/>
   <xsl:variable name="RP.TOFA.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and matches(.,'^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]            ]"/>
   <xsl:variable name="RP.TOFA.ContextId" select="$RP.TOFA.Context/@id"/>
   <xsl:variable name="RP.CMPLY.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LifeInsPolicyClassType.\d\d\.\d\d:LifeInsurancePolicyClassTypeDimension$') and matches(.,'^LifeInsPolicyClassType\.\d\d\.\d\d:ComplyingSuperannuationClassOrFHSAClass$')]) = 1]            ]"/>
   <xsl:variable name="RP.CMPLY.ContextId" select="$RP.CMPLY.Context/@id"/>
   <xsl:variable name="RP.ORD.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LifeInsPolicyClassType.\d\d\.\d\d:LifeInsurancePolicyClassTypeDimension$') and matches(.,'^LifeInsPolicyClassType\.\d\d\.\d\d:OrdinaryClass$')]) = 1]            ]"/>
   <xsl:variable name="RP.ORD.ContextId" select="$RP.ORD.Context/@id"/>
   <xsl:variable name="RPI.Closing.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]            ]"/>
   <xsl:variable name="RPI.Closing.ContextId" select="$RPI.Closing.Context/@id"/>
   <xsl:variable name="RPI.Opening.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1]            ]"/>
   <xsl:variable name="RPI.Opening.ContextId" select="$RPI.Opening.Context/@id"/>
   <xsl:variable name="RP.LowCost.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SmallBusinessDepreciatingAsset.\d\d\.\d\d:SmallBusinessDepreciatingAssetTypeDimension$') and matches(.,'^SmallBusinessDepreciatingAsset\.\d\d\.\d\d:LowCost$')]) = 1]            ]"/>
   <xsl:variable name="RP.LowCost.ContextId" select="$RP.LowCost.Context/@id"/>
   <xsl:variable name="RP.GeneralPool.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SmallBusinessDepreciatingAsset.\d\d\.\d\d:SmallBusinessDepreciatingAssetTypeDimension$') and matches(.,'^SmallBusinessDepreciatingAsset\.\d\d\.\d\d:GeneralPool$')]) = 1]            ]"/>
   <xsl:variable name="RP.GeneralPool.ContextId" select="$RP.GeneralPool.Context/@id"/>
   <xsl:variable name="RP.PreRules.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ConsolDedType.\d\d\.\d\d:ConsolidationDeductionTypeDimension$') and matches(.,'^ConsolDedType\.\d\d\.\d\d:PreRules$')]) = 1]            ]"/>
   <xsl:variable name="RP.PreRules.ContextId" select="$RP.PreRules.Context/@id"/>
   <xsl:variable name="RP.InterimRules.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ConsolDedType.\d\d\.\d\d:ConsolidationDeductionTypeDimension$') and matches(.,'^ConsolDedType\.\d\d\.\d\d:InterimRules$')]) = 1]            ]"/>
   <xsl:variable name="RP.InterimRules.ContextId" select="$RP.InterimRules.Context/@id"/>
   <xsl:variable name="RP.ProspectiveRules.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ConsolDedType.\d\d\.\d\d:ConsolidationDeductionTypeDimension$') and matches(.,'^ConsolDedType\.\d\d\.\d\d:ProspectiveRules$')]) = 1]            ]"/>
   <xsl:variable name="RP.ProspectiveRules.ContextId"
                 select="$RP.ProspectiveRules.Context/@id"/>
   <xsl:template match="text()" priority="-1" mode="M124"/>
   <xsl:template match="@*|node()" priority="-2" mode="M124">
      <xsl:apply-templates select="*" mode="M124"/>
   </xsl:template>
</xsl:stylesheet>
