﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>


<rule context="bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
         IF (bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount <> NULL) AND 
            (bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount <> MONETARY(U,11,0)) 
	        RETURN VALIDATION MESSAGE
         ENDIF
       -->

<assert  id="VR.ATO.GEN.438012" diagnostics="DVR.ATO.MONEY.U.11.0" test="matches(.,'^[0-9]{1,11}$')
                    "></assert>
</rule>

<rule context="bafpo7.02.02:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (bafpo7.xx.xx:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount <> NULL) AND 
               (bafpo7.xx.xx:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount <> MONETARY(U,11,0))
	             RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438014" diagnostics="DVR.ATO.MONEY.U.11.0" test="matches(.,'^[0-9]{1,11}$')
                      "></assert>
</rule>

<rule context="bafpr3.02.11:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
        IF (bafpr3.xx.xx:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount <> NULL) AND 
           (bafpr3.xx.xx:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount <> MONETARY(U,11,0))
            RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.GEN.438015" diagnostics="DVR.ATO.MONEY.U.11.0" test="matches(.,'^[0-9]{1,11}$')
                      "></assert>
</rule>

<rule context="bafpr3.02.11:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
        IF (bafpr3.xx.xx:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount <> NULL) AND 
           (bafpr3.xx.xx:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount <> MONETARY(U,11,0)) 
            RETURN VALIDATION MESSAGE
        ENDIF	
        -->

<assert  id="VR.ATO.GEN.438016" diagnostics="DVR.ATO.MONEY.U.11.0" test="matches(.,'^[0-9]{1,11}$')
                      "></assert>
</rule>

<rule context="bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntity.Amount <> NULL) 
            AND (bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntity.Amount <> MONETARY(U,11,0))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.PTR.431011" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.GeneralPool.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
        IF (bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntity.Amount <> NULL)
        AND (bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntity.Amount <> MONETARY(U,11,0))
        RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.PTR.431010" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.LowCost.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR321] <> NULL AND [PTR321] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR321] = PTR:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution )
        -->

<assert  id="VR.ATO.PTR.430313" diagnostics="DVR.ATO.MONEY.U.13.2" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND 
                (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247" test="not(
                        string-length(normalize-space(.)) != 0 and not(function:ValidateTAN(.))
                      )"></assert>
</rule>

<rule context="bafpr1.02.05:Expense.Interest.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR78] <> NULL AND [PTR78] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR78] = PTR:RP.JAus:Expense.Interest.Amount
        -->

<assert  id="VR.ATO.PTR.430087" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [PTR137] <> NULL AND [PTR137] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR137] = PTR:RP.JForeign:Expense.Interest.Amount
        -->

<assert  id="VR.ATO.PTR.430883" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr3.02.02:Expense.DepreciatingAssets.OtherFirstDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR131] <> NULL AND [PTR131] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR131] = PTR:RP:Expense.DepreciatingAssets.OtherFirstDeducted.Amount
        -->

<assert  id="VR.ATO.PTR.430939" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                            @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                         )"></assert>
</rule>

<rule context="bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR99] <> NULL AND [PTR99] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR99] = PTR:RP.JForeign.CFC404:Income.InternationalDealings.Attributed.Amount
          -->

<assert  id="VR.ATO.PTR.430226" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JFOREIGN.CFC404.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [PTR98] <> NULL AND [PTR98] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR98] = PTR:RP.JForeign.CFCLC:Income.InternationalDealings.Attributed.Amount
        -->

<assert  id="VR.ATO.PTR.430946" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JFOREIGN.CFCLC.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [PTR100] <> NULL AND [PTR100] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR100] = PTR:RP.JForeign.CFCUC:Income.InternationalDealings.Attributed.Amount
        -->

<assert  id="VR.ATO.PTR.430948" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JFOREIGN.CFCUC.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR87] <> NULL AND [PTR87] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR87] = PTR:RP.JAus:IncomeTax.DividendsTFNAmountsWithheld.Amount
        -->

<assert  id="VR.ATO.PTR.430103" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.Operating.CostOfSalesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR48] <> NULL AND [PTR48] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR48] = PTR:RP.JAus:Expense.Operating.CostOfSalesTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430875" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.09:Income.Net.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR97] <> NULL AND [PTR97] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR97] = PTR:RP.JAus:Income.Net.Amount
        -->

<assert  id="VR.ATO.PTR.430113" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [PTR62] <> NULL AND [PTR62] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR62] = PTR:RP.JAUS.NonPrim:Income.Net.Amount
        -->

<assert  id="VR.ATO.PTR.430055" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.JAUS.NonPrim.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [PTR105] <> NULL AND [PTR105] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR105] = PTR:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount

        -->

<assert  id="VR.ATO.PTR.430944" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
<!-- 
            IF [PTR61] <> NULL AND [PTR61] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR61] = PTR:RP.JAUS.Prim:Income.Net.Amount
        -->

<assert  id="VR.ATO.PTR.430054" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.JAUS.Prim.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo1.02.00:Liabilities.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF [PTR114] <> NULL AND [PTR114] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR114] = PTR:RPI.Closing:Liabilities.Total.Amount
        -->

<assert  id="VR.ATO.PTR.430127" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RPI.Closing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="ptr.0003.lodge.req.02.00:OtherDeductions/bafpr1.02.04:Expense.DeductibleOther.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR96] <> NULL AND [PTR96] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR96] = PTR:RP.JAus:Expense.DeductibleOther.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:OtherDeductions )
        -->

<assert  id="VR.ATO.PTR.430196" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (RP:entity.identifier.TFN <> NULLORBLANK) AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF        
        -->

<assert  id="VR.ATO.GEN.428016" diagnostics="DVR.ATO.GEN.428016.0" test="not(../../@id = $RP.ContextId) 
                        or not(upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN') 
                        or string-length(normalize-space(.)) = 0 
                        or function:ValidateTFN(.)"></assert>
<!-- 
            IF entity.identifier.ABN <> NULLORBLANK AND ABNALGORITHM(entity.identifier.ABN) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430318" diagnostics="DVR.ATO.GEN.430318" test="not(upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN') 
                        or string-length(normalize-space(.)) = 0 
                        or function:ValidateABN(.)"></assert>
</rule>

<rule context="bafpo1.02.00:Assets.CurrentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR111] <> NULL AND [PTR111] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR111] = PTR:RPI.Closing:Assets.CurrentTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430851" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RPI.Closing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR81] <> NULL AND [PTR81] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR81] = PTR:RP.JAus:Income.ForestryManagedInvestmentScheme.Amount
        -->

<assert  id="VR.ATO.PTR.430866" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo7.02.04:Assets.Inventories.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR121] <> NULL AND [PTR121] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR121] = PTR:RPI.Opening:Assets.Inventories.Total.Amount
        -->

<assert  id="VR.ATO.PTR.430919" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RPI.Opening.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [PTR123] <> NULL AND [PTR123] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR123] = PTR:RPI.Closing:Assets.Inventories.Total.Amount
        -->

<assert  id="VR.ATO.PTR.430921" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RPI.Closing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo1.02.00:Liabilities.CurrentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR113] <> NULL AND [PTR113] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR113] = PTR:RPI.Closing:Liabilities.CurrentTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430925" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RPI.Closing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer <> NULLORBLANK) 
                AND (ABNALGORITHM(pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.434223" diagnostics="DVR.ATO.GEN.434223.PTR" test="not(
                        string-length(normalize-space(.)) != 0 and not(function:ValidateABN(.))
                      )"></assert>
</rule>

<rule context="bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF LENGTH(bafot.xx.xx:Regulatory Disclosures.General Information About Financial Statements.Text) > 3000
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430297" diagnostics="DVR.ATO.GEN.430297" test="not(
                        string-length(normalize-space(.)) &gt; 3000
                      )"></assert>
</rule>

<rule context="bafpo1.02.00:Assets.TradeandReceivablesOther.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR125] <> NULL AND [PTR125] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR125] = PTR:RPI.Closing:Assets.TradeandReceivablesOther.Amount
        -->

<assert  id="VR.ATO.PTR.430922" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RPI.Closing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR134] <> NULL AND [PTR134] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
        
            [PTR134] = PTR:RP:Expense.ProjectPoolAllowableDeduction.Amount
        -->

<assert  id="VR.ATO.PTR.430901" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo1.02.00:Assets.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR112] <> NULL AND [PTR112] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR112] = PTR:RPI.Closing:Assets.Total.Amount
        -->

<assert  id="VR.ATO.PTR.430923" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RPI.Closing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR126] <> NULL AND [PTR126] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR126] = PTR:RPI.Closing:bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430924" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RPI.Closing.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF [PTR135] <> NULL AND [PTR135] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR135] = PTR:RP:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
        -->

<assert  id="VR.ATO.PTR.430903" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr3.02.02:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR130] <> NULL AND [PTR130] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR130] = PTR:RP:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount
        -->

<assert  id="VR.ATO.PTR.430938" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.04:Income.RentalIncomeOrLossNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR255] <> NULL AND [PTR255] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR255] = PTR:RP:Income.RentalIncomeOrLossNet.Amount
        -->

<assert  id="VR.ATO.PTR.430234" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR163] <> NULL AND [PTR163] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR163] = PTR:RP:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution  )
        -->

<assert  id="VR.ATO.PTR.430159" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR161] <> NULL AND [PTR161] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR161] = PTR:RP:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution  )
        -->

<assert  id="VR.ATO.PTR.430154" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                            @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"></assert>
</rule>

<rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.04:Income.Investment.FinancialIncomeOrLossNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR256] <> NULL AND [PTR256] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR256] = PTR:RP:Income.Investment.FinancialIncomeOrLossNet.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution )
        -->

<assert  id="VR.ATO.PTR.430235" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.RentalIncomeOrLossNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR257] <> NULL AND [PTR257] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR257] = PTR:RP:Income.RentalIncomeOrLossNet.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
        -->

<assert  id="VR.ATO.PTR.430236" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.BeneficiaryShare.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR159] <> NULL AND [PTR159] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR159] = PTR:RP.NonPrim:Income.BeneficiaryShare.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
        -->

<assert  id="VR.ATO.PTR.430150" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.NonPrim.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [PTR158] <> NULL AND [PTR158] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR158] = PTR:RP.Prim:Income.BeneficiaryShare.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution  )
        -->

<assert  id="VR.ATO.PTR.430147" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.Prim.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR160] <> NULL AND [PTR160] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR160] = PTR:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
        -->

<assert  id="VR.ATO.PTR.430152" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR162] <> NULL AND [PTR162] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR162] = PTR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
        -->

<assert  id="VR.ATO.PTR.430157" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"></assert>
</rule>

<rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR164] <> NULL AND [PTR164] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR164] = PTR:RP:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
        -->

<assert  id="VR.ATO.PTR.430161" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.04:Income.GainsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR251] <> NULL AND [PTR251] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR251] = PTR:RP.TOFA:Income.GainsTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430297" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.TOFA.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.04:Expense.LossesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF [PTR252] <> NULL AND [PTR252] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR252] = PTR:RP.TOFA:Expense.LossesTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430293" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.TOFA.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF [PTR253] <> NULL AND [PTR253] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR253] = PTR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430294" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.TOFA.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--        
            IF [PTR320] <> NULL AND [PTR320] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR320] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount
        -->

<assert  id="VR.ATO.PTR.430315" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.04:Income.Other.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR104] <> NULL AND [PTR104] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF    

            [PTR104] = PTR:RP.JForeign:Income.Other.Amount
          -->

<assert  id="VR.ATO.PTR.430227" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--  
            IF [PTR43] <> NULL AND [PTR43] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR43] = PTR:RP.JAUS.Prim:Income.Other.Amount
          -->

<assert  id="VR.ATO.PTR.430033" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.JAUS.Prim.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
<!--  
            IF [PTR44] <> NULL AND [PTR44] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR44] = PTR:RP.JAUS.NonPrim:Income.Other.Amount
          -->

<assert  id="VR.ATO.PTR.430034" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.JAUS.NonPrim.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR122] <> NULL AND [PTR122] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
          
            [PTR122] = PTR:RP:Expense.Purchases.AndOtherCosts.Amount
        -->

<assert  id="VR.ATO.PTR.430228" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.04:Income.Investment.FinancialIncomeOrLossNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--  
            IF [PTR254] <> NULL AND [PTR254] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR254] = PTR:RP:Income.Investment.FinancialIncomeOrLossNet.Amount
          -->

<assert  id="VR.ATO.PTR.430233" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.04:Expense.Royalties.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR138] <> NULL AND [PTR138] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR138] = PTR:RP.JForeign:Expense.Royalties.Amount
        -->

<assert  id="VR.ATO.PTR.430134" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR77] <> NULL AND [PTR77] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
        -->

<assert  id="VR.ATO.PTR.430085" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR74] <> NULL AND [PTR74] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR74] = PTR:RP.JAus:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
        -->

<assert  id="VR.ATO.PTR.430076" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"></assert>
</rule>

<rule context="pyde.02.05:OrganisationDetails.MainIncomeActivity.Description[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR30] <> NULLORBLANK AND [PTR30] > LENGTH(100)
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR30] = PTR:RP:OrganisationDetails.MainIncomeActivity.Description
        -->

<assert  id="VR.ATO.PTR.430860" diagnostics="DVR.ATO.PTR.430860" test="not(
                        @contextRef = $RP.ContextId and string-length(normalize-space(.)) &gt; 100
                      )"></assert>
</rule>

<rule context="bafpr1.02.02:Income.PartnershipDistributionGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR65] <> NULL AND [PTR65] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR65] = PTR:RP.JAUS.Prim:Income.PartnershipDistributionGross.Amount
        -->

<assert  id="VR.ATO.PTR.430064" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.JAUS.Prim.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR70] <> NULL AND [PTR70] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
                           
            [PTR70] = PTR:RP.JAUS.NonPrim:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount
        -->

<assert  id="VR.ATO.PTR.431044" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.JAUS.NonPrim.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR69] <> NULL AND [PTR69] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR69] = PTR:RP.JAUS.NonPrim:Income.PartnershipDistributionLessForeignIncome.Amount
        -->

<assert  id="VR.ATO.PTR.430069" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.JAUS.NonPrim.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.04:Expense.DistributionDeductionsOther.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR68] <> NULL AND [PTR68] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR68] = PTR:RP.JAUS.Prim:Expense.DistributionDeductionsOther.Amount
        -->

<assert  id="VR.ATO.PTR.430067" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.Prim.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [PTR72] <> NULL AND [PTR72] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR72] = PTR:RP.JAUS.NonPrim:Expense.DistributionDeductionsOther.Amount
        -->

<assert  id="VR.ATO.PTR.430074" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.NonPrim.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR35] <> NULL AND [PTR35] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR35] = PTR:RP.JAUS.Prim:Remuneration.ABNNotQuotedPaymentGross.Amount        
        -->

<assert  id="VR.ATO.PTR.430021" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.Prim.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [PTR36] <> NULL AND [PTR36] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
          
            [PTR36] = PTR:RP.JAUS.NonPrim:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->

<assert  id="VR.ATO.PTR.430024" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.NonPrim.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR75] <> NULL AND [PTR75] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR75] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount
        -->

<assert  id="VR.ATO.PTR.430077" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"></assert>
</rule>

<rule context="rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR76] <> NULL AND [PTR76] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR76] = PTR:RP.JAus:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount
        -->

<assert  id="VR.ATO.PTR.430078" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR132] <> NULL AND [PTR132] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR132] = PTR:RP:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount
        -->

<assert  id="VR.ATO.PTR.430940" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR133] <> NULL AND [PTR133] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR133] = PTR:RP:Assets.DepreciatingAssets.OtherTerminationValue.Amount
        -->

<assert  id="VR.ATO.PTR.430941" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF [PTR38] <> NULL AND [PTR38] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR38] = PTR:RP.JAUS.NonPrim:Remuneration.PaymentToForeignResidentGross.Amount
        -->

<assert  id="VR.ATO.PTR.430028" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.NonPrim.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF [PTR39] <> NULL AND [PTR39] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR39] = PTR:RP.JAUS.Prim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        -->

<assert  id="VR.ATO.PTR.430029" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.Prim.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
<!--
            IF [PTR41] <> NULL AND [PTR41] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR41] = PTR:RP.JAUS.NonPrim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        -->

<assert  id="VR.ATO.PTR.430031" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.NonPrim.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR127] <> NULL AND [PTR127] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR127] = PTR:RP:Remuneration.WagesAndSalaries.Total.Amount
        -->

<assert  id="VR.ATO.PTR.430942" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR129] <> NULL AND [PTR129] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR129] = PTR:RP:Remuneration.PaymentToRelatedPartiesGross.Amount
        -->

<assert  id="VR.ATO.PTR.430943" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.04:Income.ReconciliationAdjustmentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF [PTR59] <> NULL AND [PTR59] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR59] = PTR:RP.JAus:Income.ReconciliationAdjustmentTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430047" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.Operating.RentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR51] <> NULL AND [PTR51] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR51] = PTR:RP.JAus:Expense.Operating.RentTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430881" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                    )"></assert>
</rule>

<rule context="bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF [PTR53] <> NULL AND [PTR53] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR53] = PTR:RP.JAus:Expense.Operating.RoyaltiesTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430041" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.10:Expense.ReconciliationAdjustmentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR328] <> NULL AND [PTR328] <> MONETARY(S,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [PTR328] = PTR:RP.JAUS:bafpr1.02.10:Expense.ReconciliationAdjustmentTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430048" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR80] <> NULL AND [PTR80] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR80] = PTR:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        -->

<assert  id="VR.ATO.PTR.430091" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR79] <> NULL AND [PTR79] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR79] = PTR:RP.JAus:Expense.CapitalWorksDeduction.Amount
        -->

<assert  id="VR.ATO.PTR.430089" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR73] <> NULL AND [PTR73] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR73] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount
        -->

<assert  id="VR.ATO.PTR.430075" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--        
            IF [PTR83] <> NULL AND [PTR83] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR83] = PTR:RP.JAus:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
        -->

<assert  id="VR.ATO.PTR.430094" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.05:Income.DividendsUnfranked.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR84] <> NULL AND [PTR84] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR84] = PTR:RP.JAus:Income.DividendsUnfranked.Amount
        -->

<assert  id="VR.ATO.PTR.430097" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR47] <> NULL AND [PTR47] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR47] = PTR:RP.JAus:SuperannuationContribution.EmployerContributions.Amount
        -->

<assert  id="VR.ATO.PTR.430036" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.Operating.BadDebtsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR49] <> NULL AND [PTR49] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR49] = PTR:RP.JAus:Expense.Operating.BadDebtsTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430037" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.Operating.LeaseTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR50] <> NULL AND [PTR50] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR50] = PTR:RP.JAus:Expense.Operating.LeaseTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430038" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.Operating.InterestTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR52] <> NULL AND [PTR52] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR52] = PTR:RP.JAus:Expense.Operating.InterestTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430039" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.00:Income.DividendsFranked.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR85] <> NULL AND [PTR85] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR85] = PTR:RP.JAus:Income.DividendsFranked.Amount
        -->

<assert  id="VR.ATO.PTR.430099" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="ptr.0003.lodge.req.02.00:OtherAustralianIncome[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR89] <> NULL AND [PTR89] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR89] = PTR:RP.JAus:Income.Other.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:OtherAustralianIncome)
        -->

<assert  id="VR.ATO.PTR.430105" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                        bafpr1.02.04:Income.Other.Amount[not(@i:nil='true' or @i:nil='1') and
                          @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))]
                      )"></assert>
</rule>

<rule context="bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR90] <> NULL AND [PTR90] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR90] = PTR:RP.JAus:Expense.AustralianInvestmentAllowableDeduction.Amount
        -->

<assert  id="VR.ATO.PTR.430107" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="lrla.02.00:Remuneration.WagesAndSalaries.ContractorsAndConsultantsPayments.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR46] <> NULL AND [PTR46] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR46] = PTR:RP.JAus:Remuneration.WagesAndSalaries.ContractorsAndConsultantsPayments.Amount
        -->

<assert  id="VR.ATO.PTR.430876" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.02:Income.Interest.Gross.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR82] <> NULL AND [PTR82] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [PTR82] = PTR:RP.JAus:Income.Interest.Gross.Amount
        -->

<assert  id="VR.ATO.PTR.430867" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR45] <> NULL AND [PTR45] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR45] = PTR:RP.JAus:Expense.ForeignResidentWithholding.Amount
        -->

<assert  id="VR.ATO.PTR.430035" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.04:Expense.DeductibleOtherTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR58] <> NULL AND [PTR58] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR58] = PTR:RP.JAus:Expense.DeductablesOtherTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430890" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc1.02.03:IncomeTax.FrankingCredits.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR86] <> NULL AND [PTR86] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
             
            [PTR86] = PTR:RP.JAus:IncomeTax.FrankingCredits.Amount
        -->

<assert  id="VR.ATO.PTR.430101" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR55] <> NULL AND [PTR55] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR55] = PTR:RP.JAus:Expense.Operating.MotorVehicleTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430887" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                            @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr2.02.04:Expense.Operating.RepairsAndMaintenanceTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR55] <> NULL AND [PTR55] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR55] = PTR:RP.JAus:Expense.Operating.MotorVehicleTotal.Amount
        -->

<assert  id="VR.ATO.PTR.430888" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                            @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                         )"></assert>
</rule>

<rule context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR107] <> NULL AND [PTR107] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR107] = PTR:RP.JForeign:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        -->

<assert  id="VR.ATO.PTR.430894" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR91] <> NULL AND [PTR91] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR91] = PTR:RP.JAus:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
        -->

<assert  id="VR.ATO.PTR.430899" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR106] <> NULL AND [PTR106] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
        
            [PTR106] = PTR:RP.JForeign:bafpr3.xx.xx:Income.InternationalDealings.TaxOffset.Amount
        -->

<assert  id="VR.ATO.PTR.430977" diagnostics="DVR.ATO.MONEY.U.13.2" test="@contextRef != $RP.JFOREIGN.ContextId or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR248] <> NULL AND [PTR248] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR248] = PTR:RP:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
        -->

<assert  id="VR.ATO.PTR.430991" diagnostics="DVR.ATO.MONEY.U.13.2" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"></assert>
</rule>

<rule context="lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR136] <> NULL AND [PTR136] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR136] = PTR:RP:Remuneration.FringeBenefits.EmployeeContribution.Amount
        -->

<assert  id="VR.ATO.PTR.430870" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR64] <> NULL AND [PTR64] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR64] = PTR:RP.JAus:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
        -->

<assert  id="VR.ATO.PTR.430982" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR63] <> NULL AND [PTR63] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR63] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
        -->

<assert  id="VR.ATO.PTR.430983" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR54] <> NULL AND [PTR54] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR54] = PTR:RP.JAus:Expense.DepreciationandAmortisation.Amount
        -->

<assert  id="VR.ATO.PTR.430886" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="pyid.02.00:Identifiers.TaxAgentClientReference.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR170] > LENGTH(12)
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR170] = PTR:INT:Identifiers.TaxAgentClientReference.Text
        -->

<assert  id="VR.ATO.PTR.430987" diagnostics="DVR.ATO.PTR.430987" test="not(
                        @contextRef = $INT.ContextId and string-length(normalize-space(.)) &gt; 12
                      )"></assert>
</rule>

<rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR249] <> NULL AND [PTR249] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR249] = PTR:RP:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount 
                        IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
         -->

<assert  id="VR.ATO.PTR.430167" diagnostics="DVR.ATO.MONEY.U.13.2" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"></assert>
</rule>

<rule context="bafpr1.02.04:Income.TrustDistributionFranked.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR322] <> NULL AND [PTR322] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [PTR322] = PTR:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
        -->

<assert  id="VR.ATO.PTR.430704" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.NonPrim.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR323] <> NULL AND [PTR323] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR323] = PTR:RP.JAUS.NonPrim:rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount
        -->

<assert  id="VR.ATO.PTR.430706" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.JAUS.NonPrim.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.09:Income.DistributionFranked.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR324] <> NULL AND [PTR324] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR324] = PTR:RP:bafpr1.02.09:Income.DistributionFranked.Amount

            IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
        -->

<assert  id="VR.ATO.PTR.430711" diagnostics="DVR.ATO.MONEY.U.11.0" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                     )"></assert>
</rule>

<rule context="bafpr1.02.13:Income.TrustShareNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [PTR66] <> NULL AND [PTR66] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [PTR66] = PTR:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
        -->

<assert  id="VR.ATO.PTR.431032" diagnostics="DVR.ATO.MONEY.S.11.0" test="not(
                         @contextRef = $RP.JAUS.Prim.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
</rule>

<rule context="bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount <> NULL) 
            AND (bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount <> MONETARY(U,11,0))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438013" diagnostics="DVR.ATO.MONEY.U.11.0" test="matches(.,'^[0-9]{1,11}$')
                     "></assert>
</rule>
</pattern>