﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Warnings" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Warning Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/smsfar/smsfar_0004/smsfar.0004.lodge.request.02.00.report.xsd']]">

<let name="SMSFAR33W" value="bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR34W" value="bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR35W" value="bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR36W" value="bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR37W" value="bafpr1.02.04:Income.Gross.Amount[@contextRef=$RP.SMSFAR.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR38W" value="bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.SMSFAR.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR39W" value="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR40W" value="bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR41W" value="rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR42W" value="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR43W" value="bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR44W" value="bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR45W" value="bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR46W" value="rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR47W" value="bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR48W" value="pyde.02.05:Party.TrustType.Code[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR49W" value="emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR50W" value="emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR51W" value="emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR52W" value="emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR53W" value="bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR54W" value="bafpr1.02.05:Income.Other.Code[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR55W" value="bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR56W" value="bafpr1.02.04:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR57W" value="bafpr1.02.04:Income.NonArmsLengthTrustDistributionsNet.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR58W" value="bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR301W" value="gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR321W" value="emsup.02.09:SuperannuationFundDetails.IncomeStreamPaid.Indicator[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR342W" value="smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.07:SuperannuationPayment.BenefitPensions.Amount[@contextRef=$RP.SMSFAR.ContextId and not(@i:nil='true' or @i:nil='1')]" />

<!--        
           
            IF [SMSFAR321] = FALSE AND ([SMSFAR33] = NULL AND [SMSFAR34] = NULL AND [SMSFAR35] = NULL AND [SMSFAR36] = NULL AND [SMSFAR38] = NULL 
            AND [SMSFAR39] = NULL AND [SMSFAR40] = NULL AND [SMSFAR42] = NULL AND [SMSFAR43] = NULL AND [SMSFAR44] = NULL AND [SMSFAR45] = NULL 
            AND [SMSFAR46] = NULL AND [SMSFAR47] = NULL AND [SMSFAR49] = NULL AND [SMSFAR50] = NULL AND [SMSFAR51] = NULL AND [SMSFAR52] = NULL 
            AND [SMSFAR53] = NULL AND [SMSFAR55] = NULL AND [SMSFAR56] = NULL AND [SMSFAR57] = NULL AND [SMSFAR58] = NULL AND [SMSFAR301] = NULL) 
                 RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR33] = SMSFAR:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [SMSFAR34] = SMSFAR:RP:bafpr1.02.02:Income.RentLeasingHiringGross.Amount
            [SMSFAR35] = SMSFAR:RP:bafpr2.02.02:Income.Interest.Gross.Amount
            [SMSFAR36] = SMSFAR:RP:bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount
            [SMSFAR38] = SMSFAR:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [SMSFAR39] = SMSFAR:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [SMSFAR40] = SMSFAR:RP:bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount
            [SMSFAR42] = SMSFAR:RP:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [SMSFAR43] = SMSFAR:RP:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [SMSFAR44] = SMSFAR:RP:bafpr1.02.05:Income.DividendsUnfranked.Amount
            [SMSFAR45] = SMSFAR:RP:bafpr1.02.00:Income.DividendsFranked.Amount
            [SMSFAR46] = SMSFAR:RP:rvctc1.02.03:IncomeTax.FrankingCredits.Amount
            [SMSFAR47] = SMSFAR:RP:bafpr1.02.02:Income.TrustDistributionGross.Amount
            [SMSFAR49] = SMSFAR:RP:emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount
            [SMSFAR50] = SMSFAR:RP:emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount
            [SMSFAR52] = SMSFAR:RP:emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
            [SMSFAR53] = SMSFAR:RP:bafpr1.02.04:Income.Other.Amount
            [SMSFAR55] = SMSFAR:RP:bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount
            [SMSFAR56] = SMSFAR:RP:bafpr1.02.04:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount
            [SMSFAR57] = SMSFAR:RP:bafpr1.02.04:Income.NonArmsLengthTrustDistributionsNet.Amount
            [SMSFAR58] = SMSFAR:RP:bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount
            [SMSFAR301] = SMSFAR:RP:gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount
            [SMSFAR321] = SMSFAR:RP:emsup.02.09:SuperannuationFundDetails.IncomeStreamPaid.Indicator
            
            
            
       
           -->

<assert  id="VR.ATO.SMSFAR.W00001" diagnostics="DVR.ATO.SMSFAR.W00001" test="not(
                            $SMSFAR321W[matches(.,'^(false|0)$')]
                             and 
                            (
                                not($SMSFAR33W) and not($SMSFAR34W) and not($SMSFAR35W) and not($SMSFAR36W) and not($SMSFAR38W)
                                and not($SMSFAR39W) and not($SMSFAR40W) and not($SMSFAR42W) and not($SMSFAR43W) and not($SMSFAR44W) 
                                and not($SMSFAR45W) and not($SMSFAR46W) and not($SMSFAR47W) and not($SMSFAR49W) and not($SMSFAR50W) 
                                and not($SMSFAR52W) and not($SMSFAR53W) and not($SMSFAR55W) and not($SMSFAR56W) 
                                and not($SMSFAR57W) and not($SMSFAR58W) and not($SMSFAR301W)                     
                            )
                            
                     )"></assert>
<!-- 
          
            IF ([SMSFAR321] = TRUE OR [SMSFAR301] > 0) AND SUM(ALL OCCURRENCES([SMSFAR342])) = 0 
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR301] = SMSFAR:RP:gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount
            [SMSFAR321] = SMSFAR:RP:emsup.02.09:SuperannuationFundDetails.IncomeStreamPaid.Indicator
            [SMSFAR342] = SMSFAR:RP:emsup.02.07:SuperannuationPayment.BenefitPensions.Amount IN TUPLE(smsfar.0004.lodge.req.02.00:MemberInformation)

        -->

<assert  id="VR.ATO.SMSFAR.W00002" diagnostics="DVR.ATO.SMSFAR.W00002" test="not($SMSFAR321W and $SMSFAR301W and $SMSFAR342W and
                            ($SMSFAR321W[matches(.,'^(true|1)$')] or sum($SMSFAR301W) &gt; 0) 
                            and 
                            sum($SMSFAR342W) = 0 
                         
                        )"></assert>
</rule>
</pattern>