<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:i="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:exslt="http://gotdotnet.com/exslt/strings"
                xmlns:xbrli="http://www.xbrl.org/2003/instance"
                xmlns:xbrldi="http://xbrl.org/2006/xbrldi"
                xmlns:link="http://www.xbrl.org/2003/linkbase"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech"
                xmlns:smsfar.0004.lodge.req.02.00="http://sbr.gov.au/rprt/ato/smsfar/smsfar.0004.lodge.request.02.00.report"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:iso4217="http://www.xbrl.org/2003/iso4217"
                xmlns:rvctc1.02.07="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.07.data"
                xmlns:RprtPyType.02.07="http://sbr.gov.au/dims/RprtPyType.02.07.dims"
                xmlns:IntlJurisdiction.02.00="http://sbr.gov.au/dims/IntlJurisdiction.02.00.dims"
                xmlns:OpenCloseBalance.02.00="http://sbr.gov.au/dims/OpenCloseBalance.02.00.dims"
                xmlns:FinclArrngmtType.02.00="http://sbr.gov.au/dims/FinclArrngmtType.02.00.dims"
                xmlns:RelPrdDrtn.02.04="http://sbr.gov.au/dims/RelPrdDrtn.02.04.dims"
                xmlns:address2.02.01="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module"
                xmlns:address2.02.02="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.02.module"
                xmlns:email1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontactelectronicmail1.02.00.module"
                xmlns:fininstacc1.02.00="http://sbr.gov.au/comnmdle/comnmdle.financialinstitutionaccount1.02.00.module"
                xmlns:phone1.02.00="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module"
                xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module"
                xmlns:declaration2.02.01="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module"
                xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module"
                xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module"
                xmlns:prsnunstrcnm1.02.01="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module"
                xmlns:bafot.02.05="http://sbr.gov.au/icls/baf/bafot/bafot.02.05.data"
                xmlns:bafpo1.02.00="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.00.data"
                xmlns:bafpo1.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.04.data"
                xmlns:bafpo1.02.09="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.09.data"
                xmlns:bafpo5.02.03="http://sbr.gov.au/icls/baf/bafpo/bafpo5.02.03.data"
                xmlns:bafpo7.02.00="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.00.data"
                xmlns:bafpo7.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data"
                xmlns:bafpo7.02.09="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.09.data"
                xmlns:bafpr1.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data"
                xmlns:bafpr1.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.02.data"
                xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data"
                xmlns:bafpr1.02.05="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.05.data"
                xmlns:bafpr1.02.16="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.16.data"
                xmlns:bafpr2.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.00.data"
                xmlns:bafpr2.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.02.data"
                xmlns:bafpr2.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.04.data"
                xmlns:bafpr2.02.10="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.10.data"
                xmlns:bafpr3.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.02.data"
                xmlns:emfsm.02.00="http://sbr.gov.au/icls/em/emfsm/emfsm.02.00.data"
                xmlns:emfsm.02.03="http://sbr.gov.au/icls/em/emfsm/emfsm.02.03.data"
                xmlns:emfsm.02.07="http://sbr.gov.au/icls/em/emfsm/emfsm.02.07.data"
                xmlns:emsup.02.00="http://sbr.gov.au/icls/em/emsup/emsup.02.00.data"
                xmlns:emsup.02.01="http://sbr.gov.au/icls/em/emsup/emsup.02.01.data"
                xmlns:emsup.02.02="http://sbr.gov.au/icls/em/emsup/emsup.02.02.data"
                xmlns:emsup.02.05="http://sbr.gov.au/icls/em/emsup/emsup.02.05.data"
                xmlns:emsup.02.06="http://sbr.gov.au/icls/em/emsup/emsup.02.06.data"
                xmlns:gfagc.02.00="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.00.data"
                xmlns:gfagc.02.01="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.01.data"
                xmlns:gfagc.02.04="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.04.data"
                xmlns:lrla.02.00="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data"
                xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data"
                xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data"
                xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data"
                xmlns:pyde.02.05="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data"
                xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data"
                xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data"
                xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data"
                xmlns:pyin.02.03="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data"
                xmlns:pyin.02.05="http://sbr.gov.au/icls/py/pyin/pyin.02.05.data"
                xmlns:pyin.02.07="http://sbr.gov.au/icls/py/pyin/pyin.02.07.data"
                xmlns:pyin.02.08="http://sbr.gov.au/icls/py/pyin/pyin.02.08.data"
                xmlns:pyin.02.16="http://sbr.gov.au/icls/py/pyin/pyin.02.16.data"
                xmlns:rvctc1.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.00.data"
                xmlns:rvctc1.02.01="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.01.data"
                xmlns:rvctc1.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.03.data"
                xmlns:rvctc1.02.04="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.04.data"
                xmlns:rvctc1.02.14="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.14.data"
                xmlns:rvctc2.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data"
                xmlns:rvctc2.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.02.data"
                xmlns:rvctc2.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.03.data"
                xmlns:rvctc2.02.06="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.06.data"
                xmlns:rvctc3.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data"
                xmlns:rvctc3.02.02="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data"
                xmlns:rvctc3.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.03.data"
                xmlns:rvctc4.02.00="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.00.data"
                xmlns:period1.02.01="http://sbr.gov.au/comnmdle/comnmdle.perioddetails1.02.01.module"
                xmlns:bafpr2.02.09="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.09.data"
                xmlns:bafpr1.02.09="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.09.data"
                xmlns:bafpr1.02.13="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.13.data"
                xmlns:bafpr1.02.15="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.15.data"
                xmlns:bafpo7.02.10="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.10.data"
                xmlns:emsup.02.03="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data"
                xmlns:bafpr2.02.05="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.05.data"
                xmlns:emfsm.02.09="http://sbr.gov.au/icls/em/emfsm/emfsm.02.09.data"
                xmlns:gfagc.02.06="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.06.data"
                xmlns:gfagc.02.07="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.07.data"
                xmlns:rvctc3.02.11="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.11.data"
                xmlns:rvctc1.02.11="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.11.data"
                xmlns:rvctc1.02.12="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.12.data"
                xmlns:emsup.02.07="http://sbr.gov.au/icls/em/emsup/emsup.02.07.data"
                xmlns:bafpo7.02.12="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.12.data"
                xmlns:bafpo7.02.13="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.13.data"
                xmlns:bafot.02.00="http://sbr.gov.au/icls/baf/bafot/bafot.02.00.data"
                xmlns:emsup.02.08="http://sbr.gov.au/icls/em/emsup/emsup.02.08.data"
                xmlns:emsup.02.09="http://sbr.gov.au/icls/em/emsup/emsup.02.09.data"
                xmlns:function="http://ato.gov.au/SWSFunctions"
                xmlns:fn="http://www.w3.org/2005/xpath-functions"
                version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->
<xsl:import href="ATO_SWS_Functions.xsl"/>
   <xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="no"/>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02"
                       xmlns:isns="http://www.ato.gov.au/IS/2009/02">
         <xsl:apply-templates select="/" mode="M116"/>
         <xsl:apply-templates select="/" mode="M121"/>
         <xsl:apply-templates select="/" mode="M122"/>
      </ProcessMessages>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->


<!--
                PATTERN ElementVariablesXBRL element variables that are applicable accross the SMSFAR service.-->
<xsl:variable name="SMSFAR1"
                 select="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR4"
                 select="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR6"
                 select="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR11"
                 select="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$Auditor.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR18"
                 select="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$Auditor.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR19"
                 select="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$Auditor.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR23"
                 select="xbrli:xbrl/emfsm.02.00:AuditorReport.Signature.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR24"
                 select="xbrli:xbrl/emfsm.02.07:AuditorReport.OpinionQualified.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR25"
                 select="xbrli:xbrl/emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR26"
                 select="xbrli:xbrl/emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR27"
                 select="xbrli:xbrl/emsup.02.09:SuperannuationFundDetails.FundAcceptGovernmentContributions.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR28"
                 select="xbrli:xbrl/pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR29"
                 select="xbrli:xbrl/pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR30"
                 select="xbrli:xbrl/emsup.02.00:SuperannuationFundDetails.TaxObligationsMet.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR31"
                 select="xbrli:xbrl/rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR33"
                 select="xbrli:xbrl/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR34"
                 select="xbrli:xbrl/bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR35"
                 select="xbrli:xbrl/bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR36"
                 select="xbrli:xbrl/bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR37"
                 select="xbrli:xbrl/bafpr1.02.04:Income.Gross.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR38"
                 select="xbrli:xbrl/bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR39"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR40"
                 select="xbrli:xbrl/bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR41"
                 select="xbrli:xbrl/rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR42"
                 select="xbrli:xbrl/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR43"
                 select="xbrli:xbrl/bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR44"
                 select="xbrli:xbrl/bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR45"
                 select="xbrli:xbrl/bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR46"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR47"
                 select="xbrli:xbrl/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR48"
                 select="xbrli:xbrl/pyde.02.05:Party.TrustType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR49"
                 select="xbrli:xbrl/emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR50"
                 select="xbrli:xbrl/emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR51"
                 select="xbrli:xbrl/emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR52"
                 select="xbrli:xbrl/emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR53"
                 select="xbrli:xbrl/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR54"
                 select="xbrli:xbrl/bafpr1.02.05:Income.Other.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR55"
                 select="xbrli:xbrl/bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR56"
                 select="xbrli:xbrl/bafpr1.02.04:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR57"
                 select="xbrli:xbrl/bafpr1.02.04:Income.NonArmsLengthTrustDistributionsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR58"
                 select="xbrli:xbrl/bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR60"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.Deductible.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR61"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.Deductible.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR62"
                 select="xbrli:xbrl/bafpr1.02.15:Expense.CapitalWorks.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR63"
                 select="xbrli:xbrl/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR64"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR65"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR66"
                 select="xbrli:xbrl/bafpr2.02.04:Expense.Operating.ApprovedAuditorFee.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR67"
                 select="xbrli:xbrl/bafpr1.02.16:Expense.Investment.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR69"
                 select="xbrli:xbrl/bafpr1.02.15:Expense.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR70"
                 select="xbrli:xbrl/bafpr1.02.00:Expense.Other.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR71"
                 select="xbrli:xbrl/bafpr1.02.15:Expense.Other.Code[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR72"
                 select="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR73"
                 select="xbrli:xbrl/bafpr1.02.02:Income.Taxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR74"
                 select="xbrli:xbrl/rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR75"
                 select="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR76"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetsAndRebatesTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR77"
                 select="xbrli:xbrl/rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR78"
                 select="xbrli:xbrl/bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR79"
                 select="xbrli:xbrl/rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR80"
                 select="xbrli:xbrl/rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR81"
                 select="xbrli:xbrl/rvctc2.02.02:IncomeTax.FrankingCredits.Refundable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR82"
                 select="xbrli:xbrl/rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR83"
                 select="xbrli:xbrl/rvctc1.02.00:IncomeTax.SupervisoryLevy.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR84"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR85"
                 select="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Y0Plus.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR86"
                 select="xbrli:xbrl/rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Y0Plus.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR95"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonDemographicDetails.Death.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR117"
                 select="xbrli:xbrl/bafpo7.02.00:Assets.Investment.UnitTrustsListed.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR118"
                 select="xbrli:xbrl/bafpo7.02.00:Assets.Investment.UnitTrustsUnlisted.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR119"
                 select="xbrli:xbrl/bafpo7.02.10:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount[@contextRef=$RPI.Closing.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR120"
                 select="xbrli:xbrl/bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef=$RPI.Closing.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR121"
                 select="xbrli:xbrl/bafpo7.02.04:Assets.CashAndLiquidAssets.Total.Amount[@contextRef=$RPI.Closing.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR122"
                 select="xbrli:xbrl/bafpo1.02.00:Assets.DebtSecurities.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR123"
                 select="xbrli:xbrl/bafpo5.02.03:Assets.LoansAndReceivables.Held.Amount[@contextRef=$RPI.Closing.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR124"
                 select="xbrli:xbrl/bafpo7.02.00:Assets.Investment.EquitySecuritiesListed.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR125"
                 select="xbrli:xbrl/bafpo7.02.00:Assets.Investment.EquitySecuritiesUnlisted.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR127"
                 select="xbrli:xbrl/bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR128"
                 select="xbrli:xbrl/bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR130"
                 select="xbrli:xbrl/bafpo1.02.00:Assets.Other.Amount[@contextRef=$RPI.Closing.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR131"
                 select="xbrli:xbrl/bafpo7.02.00:Assets.Investment.EquitySecurities.Amount[@contextRef=$RPI.Closing.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR132"
                 select="xbrli:xbrl/bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR133"
                 select="xbrli:xbrl/bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR134"
                 select="xbrli:xbrl/bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef=$RPI.Closing.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR135"
                 select="xbrli:xbrl/bafpo1.02.00:Assets.Other.Amount[@contextRef=$RPI.Closing.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR136"
                 select="xbrli:xbrl/bafpo1.02.00:Liabilities.Borrowings.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR137"
                 select="xbrli:xbrl/bafpo1.02.00:Equity.MemberAccountBalance.Amount[@contextRef=$RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR138"
                 select="xbrli:xbrl/bafpo1.02.04:Equity.NetAssetsNotAllocatedToMembers.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR139"
                 select="xbrli:xbrl/bafpo1.02.00:Liabilities.Other.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR162"
                 select="xbrli:xbrl/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR163"
                 select="xbrli:xbrl/rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR164"
                 select="xbrli:xbrl/rvctc3.02.00:Elections.InterSuperannuationContribution.PersonalContributions.AmountposedEntityElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR165"
                 select="xbrli:xbrl/rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR174"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:TrusteeOrDirector[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR175"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:TrusteeOrDirector[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR178"
                 select="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$INT.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR184"
                 select="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$INT.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03'and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR195"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Report.ItemOrder.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR197"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Identifier' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR199"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Identifier' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR200"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Identifier' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR201"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR202"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR203"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR205"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.08:SuperannuationContribution.PersonalContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR206"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.CapitalGainsTaxSmallBusinessRetirementExemption.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR207"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.CapitalGainsTaxSmallBusinessExemption.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR208"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.03:SuperannuationContribution.PersonalInjuryElection.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR209"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.SpouseAndChildContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR210"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.08:SuperannuationContribution.OtherThirdPartyContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR212"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.ForeignSuperannuationFundAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR213"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.ForeignSuperannuationFundNonAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR214"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.TransferFromReserveAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR215"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.TransferFromReserveNonAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR216"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.TotalOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR217"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.MemberTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR218"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationContribution.MemberAllocatedEarningsOrLosses.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR219"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationRollover.Received.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR220"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationRollover.Paid.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR223"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationBenefit.AccountBalance.Amount[@contextRef=$RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR225"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR226"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR227"
                 select="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR228"
                 select="xbrli:xbrl/bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR230"
                 select="xbrli:xbrl/bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR232"
                 select="xbrli:xbrl/rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR233"
                 select="xbrli:xbrl/bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR270"
                 select="xbrli:xbrl/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef=$INT.ContextId and ../pyin.02.03:Declaration.StatementType.Code = 'TrueAndCorrect' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR281"
                 select="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR286"
                 select="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$Auditor.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR298"
                 select="xbrli:xbrl/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR301"
                 select="xbrli:xbrl/gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR302"
                 select="xbrli:xbrl/bafpr2.02.05:Expense.Operating.GeneralManagementAndAdministrationFees.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR304"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR305"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR306"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR307"
                 select="xbrli:xbrl/rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR308"
                 select="xbrli:xbrl/rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR309"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR310"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.06:SuperannuationContribution.NonComplyingFundsAndPreviouslyNonComplyingFunds.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR311"
                 select="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR312"
                 select="xbrli:xbrl/bafpo7.02.09:Assets.Investment.Collectables.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR315"
                 select="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR316"
                 select="xbrli:xbrl/rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR320"
                 select="xbrli:xbrl/emfsm.02.09:AuditorReport.QualificationsRectified.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR321"
                 select="xbrli:xbrl/emsup.02.09:SuperannuationFundDetails.IncomeStreamPaid.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR322"
                 select="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.AustResidentialRealProperty.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR323"
                 select="xbrli:xbrl/gfagc.02.07:TaxConcession.PensionIncomeExemptCalculationMethod.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR324"
                 select="xbrli:xbrl/emsup.02.09:SuperannuationFundDetails.ActuarialCertificate.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR327"
                 select="xbrli:xbrl/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR328"
                 select="xbrli:xbrl/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR329"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.NonDeductible.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR330"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.NonDeductible.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR331"
                 select="xbrli:xbrl/bafpr1.02.15:Expense.CapitalWorks.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR332"
                 select="xbrli:xbrl/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR333"
                 select="xbrli:xbrl/bafpr2.02.04:Expense.Operating.ApprovedAuditorFee.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR334"
                 select="xbrli:xbrl/bafpr1.02.16:Expense.Investment.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR335"
                 select="xbrli:xbrl/bafpr1.02.15:Expense.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR336"
                 select="xbrli:xbrl/bafpr1.02.00:Expense.Other.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR337"
                 select="xbrli:xbrl/bafpr1.02.15:Expense.Other.Code[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR338"
                 select="xbrli:xbrl/bafpr1.02.16:Expense.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR339"
                 select="xbrli:xbrl/rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR340"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.09:SuperannuationPayment.BenefitLumpSum.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR341"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.09:SuperannuationPayment.BenefitLumpSum.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR342"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.07:SuperannuationPayment.BenefitPensions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR343"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.09:SuperannuationPayment.BenefitPensions.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR344"
                 select="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.AustNonResidentialRealProperty.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR345"
                 select="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.OverseasRealProperty.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR346"
                 select="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.AustralianShares.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR347"
                 select="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.OtherShares.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR348"
                 select="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.Other.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR349"
                 select="xbrli:xbrl/bafpr2.02.05:Expense.Operating.GeneralManagementAndAdministrationFees.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR350"
                 select="xbrli:xbrl/bafpo7.02.13:Assets.RelatedParties.InHouse.Indicator[@contextRef=$RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR351"
                 select="xbrli:xbrl/bafpo7.02.13:Assets.RelatedParties.InHouse.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR352"
                 select="xbrli:xbrl/bafpr1.02.15:Income.AssessableOther.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR353"
                 select="xbrli:xbrl/bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR354"
                 select="xbrli:xbrl/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.09:SuperannuationFundDetails.MemberAccountStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR356"
                 select="xbrli:xbrl/rvctc1.02.12:IncomeTax.SupervisoryLevyAdjustment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR360"
                 select="xbrli:xbrl/pyin.02.16:Lodgment.FirstReturn.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR361"
                 select="xbrli:xbrl/rvctc1.02.14:IncomeTax.SupervisoryLevyWoundupAdjustment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:variable name="SMSFAR362"
                 select="xbrli:xbrl/rvctc1.02.14:IncomeTax.SupervisoryLevyNewlyRegisteredAdjustment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
   <xsl:template match="text()" priority="-1" mode="M116"/>
   <xsl:template match="@*|node()" priority="-2" mode="M116">
      <xsl:apply-templates select="*" mode="M116"/>
   </xsl:template>

   <!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]"
                 priority="1001"
                 mode="M121">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         not($SMSFAR315)                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438036</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         not($SMSFAR316)                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438037</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         not($SMSFAR51)                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.438038</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         not($SMSFAR360)                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.16:Lodgment.FirstReturn.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                       count(smsfar.0004.lodge.req.02.00:TrusteeOrDirector[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]) != 1                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.SMSFAR.436199</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/smsfar.0004.lodge.req.02.00:TrusteeOrDirector/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         count(                             address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')                             and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'C']                             and ./pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'POS']                             and ./pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]]                         ) != 1                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.SMSFAR.436012</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         count(                         prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')                         and ./pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1')]                         and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1')  and upper-case(.[1]) = 'LGL']                         and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $Auditor.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'CONTACT']                         and ./pyde.02.00:PersonNameDetails.Currency.Code[@contextRef = $Auditor.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'C']                         ]) != 1                     )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.SMSFAR.436014</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.05:OrganisationDetails.OperationCease.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="emfsm.02.00:AuditorReport.Signature.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emfsm.02.00:AuditorReport.Signature.Date</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="emfsm.02.07:AuditorReport.OpinionQualified.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emfsm.02.07:AuditorReport.OpinionQualified.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="emsup.02.09:SuperannuationFundDetails.FundAcceptGovernmentContributions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.09:SuperannuationFundDetails.FundAcceptGovernmentContributions.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.02:Income.Taxable.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.01:IncomeTax.TaxableGross.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             count(phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1')]) != 1                             and                             phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1')] = '03'                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.SMSFAR.436281</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                         count(                                                   address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')                                                   and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'C']                                                   and ./pyde.02.01:AddressDetails.Usage.Code[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'POS']                                                   and ./pyde.02.00:AddressDetails.Line1.Text[@contextRef=$Auditor.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]]                                         ) != 1                                    )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.SMSFAR.436282</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         round(xs:decimal(100 * sum($SMSFAR83))) != 388 * 100                   )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.SMSFAR.436663</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.00:IncomeTax.SupervisoryLevy.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                             count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')                             and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'MN']                             and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.[1]) = 'C']                                                        and ./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]                             ]) != 1                         )"/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.SMSFAR.436274</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(not($SMSFAR321))                                "/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.09:SuperannuationFundDetails.IncomeStreamPaid.Indicator</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         not($SMSFAR309)                        )                                "/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.GEN.001001</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M121"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/smsfar.0004.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M121">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="          emsup.02.09:SuperannuationFundDetails.MemberAccountStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 "/>
         <xsl:otherwise> 
            <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02"
                            xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <CategoryCode>Syntax</CategoryCode>
               <isns:Code>CMN.ATO.SMSFAR.436635</isns:Code>
               <Location>
                  <xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.09:SuperannuationFundDetails.MemberAccountStatus.Code</xsl:text></Location>
               <PropertyName i:nil="true"/>
               <Severity>Error</Severity>
            </ProcessMessage>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M121"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M121"/>
   <xsl:template match="@*|node()" priority="-2" mode="M121">
      <xsl:apply-templates select="*" mode="M121"/>
   </xsl:template>

   <!--
                PATTERN ContextVariablesXBRL Context Id variables that are applicable accross all of the SMSFAR services.-->
<xsl:variable name="RP.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]"/>
   <xsl:variable name="RP.ContextId" select="$RP.Context/@id"/>
   <xsl:variable name="INT.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                 xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]             ]"/>
   <xsl:variable name="INT.ContextId" select="$INT.Context/@id"/>
   <xsl:variable name="Auditor.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                 xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Auditor$')]             ]"/>
   <xsl:variable name="Auditor.ContextId" select="$Auditor.Context/@id"/>
   <xsl:variable name="RP.JAUS.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1]             ]"/>
   <xsl:variable name="RP.JAUS.ContextId" select="$RP.JAUS.Context/@id"/>
   <xsl:variable name="RP.TOFA.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and matches(.,'^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]             ]"/>
   <xsl:variable name="RP.TOFA.ContextId" select="$RP.TOFA.Context/@id"/>
   <xsl:variable name="RP.Y0Plus.Closing.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RP.Y0Plus.Closing.ContextId"
                 select="$RP.Y0Plus.Closing.Context/@id"/>
   <xsl:variable name="RP.JFOREIGN.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]             ]"/>
   <xsl:variable name="RP.JFOREIGN.ContextId" select="$RP.JFOREIGN.Context/@id"/>
   <xsl:variable name="RP.Closing.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]                 and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])           ]"/>
   <xsl:variable name="RP.Closing.ContextId" select="$RP.Closing.Context/@id"/>
   <xsl:variable name="RPI.Closing.Context"
                 select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]               and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RPI.Closing.ContextId" select="$RPI.Closing.Context/@id"/>
   <xsl:variable name="RPI.Closing.JAUS.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RPI.Closing.JAUS.ContextId"
                 select="$RPI.Closing.JAUS.Context/@id"/>
   <xsl:variable name="RPI.Closing.JFOREIGN.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RPI.Closing.JFOREIGN.ContextId"
                 select="$RPI.Closing.JFOREIGN.Context/@id"/>
   <xsl:variable name="RPI.Y0Plus.Closing.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RPI.Y0Plus.Closing.ContextId"
                 select="$RPI.Y0Plus.Closing.Context/@id"/>
   <xsl:variable name="RP.Deductible.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^TaxDeductStatus.\d\d\.\d\d:TaxDeductibleStatusDimension$') and matches(.,'^TaxDeductStatus\.\d\d\.\d\d:Deductible$')]) = 1]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RP.Deductible.ContextId" select="$RP.Deductible.Context/@id"/>
   <xsl:variable name="RP.NonDeductible.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^TaxDeductStatus.\d\d\.\d\d:TaxDeductibleStatusDimension$') and matches(.,'^TaxDeductStatus\.\d\d\.\d\d:NonDeductible$')]) = 1]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RP.NonDeductible.ContextId"
                 select="$RP.NonDeductible.Context/@id"/>
   <xsl:variable name="RP.Deductible.JAUS.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^TaxDeductStatus.\d\d\.\d\d:TaxDeductibleStatusDimension$') and matches(.,'^TaxDeductStatus\.\d\d\.\d\d:Deductible$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RP.Deductible.JAUS.ContextId"
                 select="$RP.Deductible.JAUS.Context/@id"/>
   <xsl:variable name="RP.NonDeductible.JAUS.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^TaxDeductStatus.\d\d\.\d\d:TaxDeductibleStatusDimension$') and matches(.,'^TaxDeductStatus\.\d\d\.\d\d:NonDeductible$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RP.NonDeductible.JAUS.ContextId"
                 select="$RP.NonDeductible.JAUS.Context/@id"/>
   <xsl:variable name="RP.Deductible.JFOREIGN.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^TaxDeductStatus.\d\d\.\d\d:TaxDeductibleStatusDimension$') and matches(.,'^TaxDeductStatus\.\d\d\.\d\d:Deductible$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RP.Deductible.JFOREIGN.ContextId"
                 select="$RP.Deductible.JFOREIGN.Context/@id"/>
   <xsl:variable name="RP.NonDeductible.JFOREIGN.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^TaxDeductStatus.\d\d\.\d\d:TaxDeductibleStatusDimension$') and matches(.,'^TaxDeductStatus\.\d\d\.\d\d:NonDeductible$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RP.NonDeductible.JFOREIGN.ContextId"
                 select="$RP.NonDeductible.JFOREIGN.Context/@id"/>
   <xsl:variable name="RP.JAUS.AustNonResidentialRealProperty.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssetType.\d\d\.\d\d:AssetTypeDimension$') and matches(.,'^AssetType\.\d\d\.\d\d:AustralianNonResidentialRealProperty$')]) = 1                 ]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RP.JAUS.AustNonResidentialRealProperty.ContextId"
                 select="$RP.JAUS.AustNonResidentialRealProperty.Context/@id"/>
   <xsl:variable name="RP.JAUS.AustralianShares.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssetType.\d\d\.\d\d:AssetTypeDimension$') and matches(.,'^AssetType\.\d\d\.\d\d:AustralianShares$')]) = 1                 ]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RP.JAUS.AustralianShares.ContextId"
                 select="$RP.JAUS.AustralianShares.Context/@id"/>
   <xsl:variable name="RP.JAUS.AustResidentialRealProperty.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssetType.\d\d\.\d\d:AssetTypeDimension$') and matches(.,'^AssetType\.\d\d\.\d\d:AustralianResidentialRealProperty$')]) = 1                 ]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RP.JAUS.AustResidentialRealProperty.ContextId"
                 select="$RP.JAUS.AustResidentialRealProperty.Context/@id"/>
   <xsl:variable name="RP.JAUS.Other.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssetType.\d\d\.\d\d:AssetTypeDimension$') and matches(.,'^AssetType\.\d\d\.\d\d:Other$')]) = 1                 ]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RP.JAUS.Other.ContextId" select="$RP.JAUS.Other.Context/@id"/>
   <xsl:variable name="RP.JAUS.OverseasRealProperty.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssetType.\d\d\.\d\d:AssetTypeDimension$') and matches(.,'^AssetType\.\d\d\.\d\d:OverseasRealProperty$')]) = 1                 ]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RP.JAUS.OverseasRealProperty.ContextId"
                 select="$RP.JAUS.OverseasRealProperty.Context/@id"/>
   <xsl:variable name="RP.JAUS.OtherShares.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^AssetType.\d\d\.\d\d:AssetTypeDimension$') and matches(.,'^AssetType\.\d\d\.\d\d:OtherShares$')]) = 1                 ]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                 and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]             ]"/>
   <xsl:variable name="RP.JAUS.OtherShares.ContextId"
                 select="$RP.JAUS.OtherShares.Context/@id"/>
   <xsl:variable name="RP.Identifier.TFN"
                 select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and contains(./xbrldi:explicitMember,'ReportingParty')]/xbrldi:explicitMember/../../xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn']"/>
   <xsl:template match="text()" priority="-1" mode="M122"/>
   <xsl:template match="@*|node()" priority="-2" mode="M122">
      <xsl:apply-templates select="*" mode="M122"/>
   </xsl:template>
</xsl:stylesheet>
